#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 203
#define SYMBOL_COUNT 85
#define ALIAS_COUNT 7
#define TOKEN_COUNT 55
#define EXTERNAL_TOKEN_COUNT 1
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 7

enum {
  sym_disjunction_delimiter = 1,
  aux_sym__invalid_quantifier_token1 = 2,
  aux_sym__invalid_quantifier_token2 = 3,
  aux_sym__invalid_quantifier_token3 = 4,
  aux_sym__invalid_secondary_quantifier_token1 = 5,
  aux_sym__invalid_secondary_quantifier_token2 = 6,
  anon_sym_STAR = 7,
  anon_sym_QMARK = 8,
  anon_sym_PLUS = 9,
  anon_sym_LBRACE = 10,
  aux_sym_count_quantifier_token1 = 11,
  anon_sym_COMMA = 12,
  anon_sym_RBRACE = 13,
  anon_sym_QMARK_EQ = 14,
  anon_sym_QMARK_BANG = 15,
  anon_sym_QMARK_LT_EQ = 16,
  anon_sym_QMARK_LT_BANG = 17,
  anon_sym_BSLASH = 18,
  aux_sym_backreference_token1 = 19,
  anon_sym_BSLASHk_LT = 20,
  anon_sym_GT = 21,
  anon_sym_QMARK_LT = 22,
  aux_sym_group_name_token1 = 23,
  anon_sym_QMARK_COLON = 24,
  sym_group_begin = 25,
  sym_group_end = 26,
  anon_sym_LBRACK = 27,
  anon_sym_CARET = 28,
  anon_sym_DASH = 29,
  anon_sym_RBRACK = 30,
  aux_sym_set_atom_token1 = 31,
  anon_sym_BSLASHb = 32,
  aux_sym_character_class_escape_token1 = 33,
  aux_sym_character_class_escape_token2 = 34,
  anon_sym_EQ = 35,
  sym__unicode_property = 36,
  aux_sym_identity_escape_token1 = 37,
  anon_sym_BSLASHu = 38,
  aux_sym_unicode_escape_token1 = 39,
  anon_sym_BSLASHu_LBRACE = 40,
  aux_sym_unicode_escape_token2 = 41,
  aux_sym__invalid__unicode_escape_token1 = 42,
  aux_sym__invalid__unicode_escape_token2 = 43,
  anon_sym_BSLASHx = 44,
  aux_sym_hexadecimal_escape_token1 = 45,
  aux_sym__invalid__hexadecimal_escape_token1 = 46,
  anon_sym_BSLASHc = 47,
  aux_sym_control_letter_escape_token1 = 48,
  sym_special_escape = 49,
  sym_end_assertion = 50,
  sym_non_boundary_assertion = 51,
  sym_any_character = 52,
  sym_non_syntax_character = 53,
  sym_null_character = 54,
  sym_regex = 55,
  sym_zero_or_more = 56,
  sym_one_or_more = 57,
  sym_optional = 58,
  sym_count_quantifier = 59,
  sym_lookahead_assertion = 60,
  sym_negative_lookahead_assertion = 61,
  sym_lookbehind_assertion = 62,
  sym_negative_lookbehind_assertion = 63,
  sym_backreference = 64,
  sym_named_capturing_group = 65,
  sym_named_capturing_group_identifier = 66,
  sym_group_name = 67,
  sym_non_capturing_group = 68,
  sym_anonymous_capturing_group = 69,
  sym_character_set = 70,
  sym_set_range = 71,
  sym_set_identity_escape = 72,
  sym_character_class_escape = 73,
  sym_identity_escape = 74,
  sym_unicode_escape = 75,
  sym_hexadecimal_escape = 76,
  sym_control_letter_escape = 77,
  sym__escape_operator = 78,
  sym_start_assertion = 79,
  sym_boundary_assertion = 80,
  aux_sym_pattern_repeat1 = 81,
  aux_sym_disjunction_repeat1 = 82,
  aux_sym_group_name_repeat1 = 83,
  aux_sym_character_set_repeat1 = 84,
  alias_sym_lazy = 85,
  alias_sym_range_delimiter = 86,
  alias_sym_set_negation = 87,
  alias_sym_unicode_code = 88,
  alias_sym_unicode_property_name = 89,
  alias_sym_unicode_property_operator = 90,
  alias_sym_unicode_property_value = 91,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_disjunction_delimiter] = "disjunction_delimiter",
  [aux_sym__invalid_quantifier_token1] = "_invalid_quantifier_token1",
  [aux_sym__invalid_quantifier_token2] = "_invalid_quantifier_token2",
  [aux_sym__invalid_quantifier_token3] = "_invalid_quantifier_token3",
  [aux_sym__invalid_secondary_quantifier_token1] = "_invalid_secondary_quantifier_token1",
  [aux_sym__invalid_secondary_quantifier_token2] = "_invalid_secondary_quantifier_token2",
  [anon_sym_STAR] = "*",
  [anon_sym_QMARK] = "?",
  [anon_sym_PLUS] = "+",
  [anon_sym_LBRACE] = "{",
  [aux_sym_count_quantifier_token1] = "count_quantifier_value",
  [anon_sym_COMMA] = "count_quantifier_delimiter",
  [anon_sym_RBRACE] = "}",
  [anon_sym_QMARK_EQ] = "lookahead_identifier",
  [anon_sym_QMARK_BANG] = "negative_lookahead_identifier",
  [anon_sym_QMARK_LT_EQ] = "lookbehind_identifier",
  [anon_sym_QMARK_LT_BANG] = "negative_lookbehind_identifier",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_backreference_token1] = "backreference_token1",
  [anon_sym_BSLASHk_LT] = "\\k<",
  [anon_sym_GT] = ">",
  [anon_sym_QMARK_LT] = "?<",
  [aux_sym_group_name_token1] = "group_name_token1",
  [anon_sym_QMARK_COLON] = "non_capturing_group_identifier",
  [sym_group_begin] = "group_begin",
  [sym_group_end] = "group_end",
  [anon_sym_LBRACK] = "set_begin",
  [anon_sym_CARET] = "^",
  [anon_sym_DASH] = "-",
  [anon_sym_RBRACK] = "set_end",
  [aux_sym_set_atom_token1] = "non_syntax_character",
  [anon_sym_BSLASHb] = "\\b",
  [aux_sym_character_class_escape_token1] = "character_class_escape_token1",
  [aux_sym_character_class_escape_token2] = "character_class_escape_token2",
  [anon_sym_EQ] = "=",
  [sym__unicode_property] = "_unicode_property",
  [aux_sym_identity_escape_token1] = "identity_escape_token1",
  [anon_sym_BSLASHu] = "\\u",
  [aux_sym_unicode_escape_token1] = "unicode_code",
  [anon_sym_BSLASHu_LBRACE] = "\\u{",
  [aux_sym_unicode_escape_token2] = "unicode_escape_token2",
  [aux_sym__invalid__unicode_escape_token1] = "_invalid__unicode_escape_token1",
  [aux_sym__invalid__unicode_escape_token2] = "_invalid__unicode_escape_token2",
  [anon_sym_BSLASHx] = "\\x",
  [aux_sym_hexadecimal_escape_token1] = "hexadecimal_code",
  [aux_sym__invalid__hexadecimal_escape_token1] = "_invalid__hexadecimal_escape_token1",
  [anon_sym_BSLASHc] = "\\c",
  [aux_sym_control_letter_escape_token1] = "control_letter_code",
  [sym_special_escape] = "special_escape",
  [sym_end_assertion] = "end_assertion",
  [sym_non_boundary_assertion] = "non_boundary_assertion",
  [sym_any_character] = "any_character",
  [sym_non_syntax_character] = "non_syntax_character",
  [sym_null_character] = "null_character",
  [sym_regex] = "regex",
  [sym_zero_or_more] = "zero_or_more",
  [sym_one_or_more] = "one_or_more",
  [sym_optional] = "optional",
  [sym_count_quantifier] = "count_quantifier",
  [sym_lookahead_assertion] = "lookahead_assertion",
  [sym_negative_lookahead_assertion] = "negative_lookahead_assertion",
  [sym_lookbehind_assertion] = "lookbehind_assertion",
  [sym_negative_lookbehind_assertion] = "negative_lookbehind_assertion",
  [sym_backreference] = "backreference",
  [sym_named_capturing_group] = "named_capturing_group",
  [sym_named_capturing_group_identifier] = "named_capturing_group_identifier",
  [sym_group_name] = "group_name",
  [sym_non_capturing_group] = "non_capturing_group",
  [sym_anonymous_capturing_group] = "anonymous_capturing_group",
  [sym_character_set] = "character_class",
  [sym_set_range] = "character_range",
  [sym_set_identity_escape] = "identity_escape",
  [sym_character_class_escape] = "character_class_escape",
  [sym_identity_escape] = "identity_escape",
  [sym_unicode_escape] = "unicode_escape",
  [sym_hexadecimal_escape] = "hexadecimal_escape",
  [sym_control_letter_escape] = "control_letter_escape",
  [sym__escape_operator] = "escape_operator",
  [sym_start_assertion] = "start_assertion",
  [sym_boundary_assertion] = "boundary_assertion",
  [aux_sym_pattern_repeat1] = "pattern_repeat1",
  [aux_sym_disjunction_repeat1] = "disjunction_repeat1",
  [aux_sym_group_name_repeat1] = "group_name_repeat1",
  [aux_sym_character_set_repeat1] = "character_set_repeat1",
  [alias_sym_lazy] = "lazy",
  [alias_sym_range_delimiter] = "range_delimiter",
  [alias_sym_set_negation] = "set_negation",
  [alias_sym_unicode_code] = "unicode_code",
  [alias_sym_unicode_property_name] = "unicode_property_name",
  [alias_sym_unicode_property_operator] = "unicode_property_operator",
  [alias_sym_unicode_property_value] = "unicode_property_value",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_disjunction_delimiter] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__invalid_quantifier_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__invalid_quantifier_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__invalid_quantifier_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__invalid_secondary_quantifier_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__invalid_secondary_quantifier_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_count_quantifier_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_EQ] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_BANG] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_LT_EQ] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_LT_BANG] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_backreference_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASHk_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_LT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_group_name_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = true,
  },
  [sym_group_begin] = {
    .visible = true,
    .named = true,
  },
  [sym_group_end] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_set_atom_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHb] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_class_escape_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_class_escape_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym__unicode_property] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_identity_escape_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_unicode_escape_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_unicode_escape_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__invalid__unicode_escape_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__invalid__unicode_escape_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASHx] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_hexadecimal_escape_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__invalid__hexadecimal_escape_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASHc] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_control_letter_escape_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_special_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_end_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_non_boundary_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_any_character] = {
    .visible = true,
    .named = true,
  },
  [sym_non_syntax_character] = {
    .visible = true,
    .named = true,
  },
  [sym_null_character] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_zero_or_more] = {
    .visible = true,
    .named = true,
  },
  [sym_one_or_more] = {
    .visible = true,
    .named = true,
  },
  [sym_optional] = {
    .visible = true,
    .named = true,
  },
  [sym_count_quantifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lookahead_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_negative_lookahead_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_lookbehind_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_negative_lookbehind_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_backreference] = {
    .visible = true,
    .named = true,
  },
  [sym_named_capturing_group] = {
    .visible = true,
    .named = true,
  },
  [sym_named_capturing_group_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_group_name] = {
    .visible = true,
    .named = true,
  },
  [sym_non_capturing_group] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_capturing_group] = {
    .visible = true,
    .named = true,
  },
  [sym_character_set] = {
    .visible = true,
    .named = true,
  },
  [sym_set_range] = {
    .visible = true,
    .named = true,
  },
  [sym_set_identity_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_character_class_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_identity_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_unicode_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_hexadecimal_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_control_letter_escape] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_start_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_boundary_assertion] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunction_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_group_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_set_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_lazy] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_range_delimiter] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_set_negation] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_unicode_code] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_unicode_property_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_unicode_property_operator] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_unicode_property_value] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[22][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_special_escape,
  },
  [2] = {
    [1] = alias_sym_lazy,
  },
  [3] = {
    [1] = sym_non_syntax_character,
  },
  [4] = {
    [1] = alias_sym_set_negation,
  },
  [5] = {
    [0] = sym_special_escape,
    [1] = sym_non_syntax_character,
  },
  [6] = {
    [1] = alias_sym_unicode_code,
  },
  [7] = {
    [1] = alias_sym_range_delimiter,
  },
  [8] = {
    [1] = alias_sym_range_delimiter,
    [2] = sym_special_escape,
  },
  [9] = {
    [0] = sym_special_escape,
    [1] = alias_sym_range_delimiter,
  },
  [10] = {
    [0] = sym_special_escape,
    [1] = alias_sym_range_delimiter,
    [2] = sym_special_escape,
  },
  [11] = {
    [2] = sym_non_syntax_character,
  },
  [12] = {
    [2] = alias_sym_unicode_property_value,
  },
  [13] = {
    [3] = alias_sym_lazy,
  },
  [14] = {
    [3] = sym_non_syntax_character,
  },
  [15] = {
    [2] = alias_sym_range_delimiter,
  },
  [16] = {
    [2] = alias_sym_range_delimiter,
    [3] = sym_special_escape,
  },
  [17] = {
    [4] = alias_sym_lazy,
  },
  [18] = {
    [4] = sym_non_syntax_character,
  },
  [19] = {
    [2] = alias_sym_unicode_property_name,
    [3] = alias_sym_unicode_property_operator,
    [4] = alias_sym_unicode_property_value,
  },
  [20] = {
    [5] = alias_sym_lazy,
  },
  [21] = {
    [5] = sym_non_syntax_character,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lookahead == 0;
  switch (state) {
    case 0:
      if (eof) ADVANCE(32);
      if (lookahead == '\n') ADVANCE(67);
      if (lookahead == '$') ADVANCE(96);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(39);
      if (lookahead == '+') ADVANCE(42);
      if (lookahead == ',') ADVANCE(47);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '0') ADVANCE(46);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(57);
      if (lookahead == '?') ADVANCE(41);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == ']') ADVANCE(66);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead == '{') ADVANCE(44);
      if (lookahead == '|') ADVANCE(33);
      if (lookahead == '}') ADVANCE(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(46);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(67);
      if (lookahead != 0) ADVANCE(67);
      END_STATE();
    case 1:
      if (lookahead == '!') ADVANCE(50);
      if (lookahead == ':') ADVANCE(60);
      if (lookahead == '<') ADVANCE(58);
      if (lookahead == '=') ADVANCE(49);
      END_STATE();
    case 2:
      if (lookahead == ',') ADVANCE(47);
      if (lookahead == '>') ADVANCE(57);
      if (lookahead == '\\') ADVANCE(19);
      if (lookahead == '}') ADVANCE(48);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(59);
      END_STATE();
    case 3:
      if (lookahead == ',') ADVANCE(21);
      if (lookahead == '}') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(3);
      if (lookahead != 0) ADVANCE(35);
      END_STATE();
    case 4:
      if (lookahead == ',') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(4);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == ',') ADVANCE(22);
      if (lookahead == '}') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(5);
      END_STATE();
    case 6:
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(66);
      if (lookahead == '}') ADVANCE(48);
      if (lookahead != 0) ADVANCE(67);
      END_STATE();
    case 7:
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(66);
      if (lookahead == '}') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(69);
      if (lookahead != 0) ADVANCE(67);
      END_STATE();
    case 8:
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(66);
      if (lookahead == '}') ADVANCE(48);
      if (lookahead != 0) ADVANCE(67);
      END_STATE();
    case 9:
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      if (lookahead != 0) ADVANCE(67);
      END_STATE();
    case 10:
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(69);
      if (lookahead != 0) ADVANCE(67);
      END_STATE();
    case 11:
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(66);
      if (lookahead != 0) ADVANCE(67);
      END_STATE();
    case 12:
      if (lookahead == '-') ADVANCE(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(55);
      if (lookahead == '$' ||
          ('(' <= lookahead && lookahead <= '+') ||
          lookahead == '.' ||
          lookahead == '/' ||
          lookahead == '?' ||
          ('[' <= lookahead && lookahead <= '^') ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(75);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 13:
      if (lookahead == '0') ADVANCE(80);
      if (lookahead == '1') ADVANCE(81);
      if (lookahead == '}') ADVANCE(48);
      if (('2' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 14:
      if (lookahead == '<') ADVANCE(56);
      END_STATE();
    case 15:
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(66);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead != 0) ADVANCE(67);
      END_STATE();
    case 16:
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(66);
      if (lookahead == '}') ADVANCE(48);
      if (lookahead != 0) ADVANCE(67);
      END_STATE();
    case 17:
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      if (lookahead != 0) ADVANCE(67);
      END_STATE();
    case 18:
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(66);
      if (lookahead != 0) ADVANCE(67);
      END_STATE();
    case 19:
      if (lookahead == 'u') ADVANCE(76);
      END_STATE();
    case 20:
      if (lookahead == '}') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(46);
      END_STATE();
    case 21:
      if (lookahead == '}') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(21);
      if (lookahead != 0) ADVANCE(36);
      END_STATE();
    case 22:
      if (lookahead == '}') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(22);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(36);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(5);
      END_STATE();
    case 25:
      if (eof) ADVANCE(32);
      if (lookahead == '$') ADVANCE(96);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(39);
      if (lookahead == '+') ADVANCE(42);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '?') ADVANCE(40);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead == '{') ADVANCE(45);
      if (lookahead == '|') ADVANCE(33);
      if (lookahead == '}') ADVANCE(48);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/' &&
          lookahead != ']') ADVANCE(99);
      END_STATE();
    case 26:
      if (eof) ADVANCE(32);
      if (lookahead == '$') ADVANCE(96);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(39);
      if (lookahead == '+') ADVANCE(42);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == '?') ADVANCE(40);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead == '{') ADVANCE(45);
      if (lookahead == '|') ADVANCE(33);
      if (lookahead == '}') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/' &&
          lookahead != ']') ADVANCE(99);
      END_STATE();
    case 27:
      if (eof) ADVANCE(32);
      if (lookahead == '$') ADVANCE(96);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(39);
      if (lookahead == '+') ADVANCE(42);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == '?') ADVANCE(40);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead == '{') ADVANCE(45);
      if (lookahead == '|') ADVANCE(33);
      if (lookahead == '}') ADVANCE(48);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/' &&
          lookahead != ']') ADVANCE(99);
      END_STATE();
    case 28:
      if (eof) ADVANCE(32);
      if (lookahead == '$') ADVANCE(96);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(39);
      if (lookahead == '+') ADVANCE(42);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == '?') ADVANCE(40);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead == '{') ADVANCE(45);
      if (lookahead == '|') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(99);
      END_STATE();
    case 29:
      if (eof) ADVANCE(32);
      if (lookahead == '$') ADVANCE(96);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == '?') ADVANCE(1);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead == '{') ADVANCE(43);
      if (lookahead == '|') ADVANCE(33);
      if (lookahead == '}') ADVANCE(48);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '*' &&
          lookahead != '+' &&
          lookahead != '/' &&
          lookahead != ']') ADVANCE(99);
      END_STATE();
    case 30:
      if (eof) ADVANCE(32);
      if (lookahead == '$') ADVANCE(96);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == '?') ADVANCE(40);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead == '{') ADVANCE(24);
      if (lookahead == '|') ADVANCE(33);
      if (lookahead == '*' ||
          lookahead == '+') ADVANCE(37);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(99);
      END_STATE();
    case 31:
      if (eof) ADVANCE(32);
      if (lookahead == '$') ADVANCE(96);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead == '{') ADVANCE(24);
      if (lookahead == '|') ADVANCE(33);
      if (lookahead == '*' ||
          lookahead == '+' ||
          lookahead == '?') ADVANCE(37);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(99);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(sym_disjunction_delimiter);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(aux_sym__invalid_quantifier_token1);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(aux_sym__invalid_quantifier_token2);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym__invalid_quantifier_token3);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(aux_sym__invalid_secondary_quantifier_token1);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(aux_sym__invalid_secondary_quantifier_token2);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '!') ADVANCE(50);
      if (lookahead == ':') ADVANCE(60);
      if (lookahead == '<') ADVANCE(58);
      if (lookahead == '=') ADVANCE(49);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == ',') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(3);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(35);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == ',') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(4);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(35);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(aux_sym_count_quantifier_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(46);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_QMARK_BANG);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_QMARK_LT_EQ);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_QMARK_LT_BANG);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == 'B') ADVANCE(97);
      if (lookahead == 'b') ADVANCE(70);
      if (lookahead == 'c') ADVANCE(93);
      if (lookahead == 'k') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(76);
      if (lookahead == 'x') ADVANCE(90);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(72);
      if (lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(95);
      if (lookahead == 'D' ||
          lookahead == 'S' ||
          lookahead == 'W' ||
          lookahead == 'd' ||
          ('s' <= lookahead && lookahead <= 'w')) ADVANCE(71);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == 'b') ADVANCE(70);
      if (lookahead == 'c') ADVANCE(93);
      if (lookahead == 'u') ADVANCE(76);
      if (lookahead == 'x') ADVANCE(90);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(72);
      if (lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(95);
      if (lookahead == 'D' ||
          lookahead == 'S' ||
          lookahead == 'W' ||
          lookahead == 'd' ||
          ('s' <= lookahead && lookahead <= 'w')) ADVANCE(71);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(aux_sym_backreference_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(55);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_BSLASHk_LT);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_QMARK_LT);
      if (lookahead == '!') ADVANCE(52);
      if (lookahead == '=') ADVANCE(51);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(aux_sym_group_name_token1);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_group_begin);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_group_end);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(aux_sym_set_atom_token1);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(aux_sym_set_atom_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(aux_sym_set_atom_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_BSLASHb);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_character_class_escape_token1);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym_character_class_escape_token2);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym__unicode_property);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_identity_escape_token1);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(78);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_unicode_escape_token1);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_BSLASHu_LBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_unicode_escape_token2);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(aux_sym_unicode_escape_token2);
      if (lookahead == '0') ADVANCE(80);
      if (lookahead == '1') ADVANCE(81);
      if (('2' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(aux_sym_unicode_escape_token2);
      if (lookahead == '0') ADVANCE(85);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(aux_sym_unicode_escape_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(aux_sym_unicode_escape_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_unicode_escape_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(aux_sym_unicode_escape_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(aux_sym__invalid__unicode_escape_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(77);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym__invalid__unicode_escape_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym__invalid__unicode_escape_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(87);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym__invalid__unicode_escape_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(88);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_BSLASHx);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym_hexadecimal_escape_token1);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym__invalid__hexadecimal_escape_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_BSLASHc);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_control_letter_escape_token1);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_special_escape);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_end_assertion);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_non_boundary_assertion);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_any_character);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_non_syntax_character);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 29, .external_lex_state = 1},
  [2] = {.lex_state = 29, .external_lex_state = 1},
  [3] = {.lex_state = 29, .external_lex_state = 1},
  [4] = {.lex_state = 29, .external_lex_state = 1},
  [5] = {.lex_state = 29, .external_lex_state = 1},
  [6] = {.lex_state = 29, .external_lex_state = 1},
  [7] = {.lex_state = 29, .external_lex_state = 1},
  [8] = {.lex_state = 29, .external_lex_state = 1},
  [9] = {.lex_state = 29, .external_lex_state = 1},
  [10] = {.lex_state = 29, .external_lex_state = 1},
  [11] = {.lex_state = 29, .external_lex_state = 1},
  [12] = {.lex_state = 29, .external_lex_state = 1},
  [13] = {.lex_state = 29, .external_lex_state = 1},
  [14] = {.lex_state = 29, .external_lex_state = 1},
  [15] = {.lex_state = 29, .external_lex_state = 1},
  [16] = {.lex_state = 29, .external_lex_state = 1},
  [17] = {.lex_state = 29, .external_lex_state = 1},
  [18] = {.lex_state = 29, .external_lex_state = 1},
  [19] = {.lex_state = 29, .external_lex_state = 1},
  [20] = {.lex_state = 28, .external_lex_state = 1},
  [21] = {.lex_state = 25, .external_lex_state = 1},
  [22] = {.lex_state = 26, .external_lex_state = 1},
  [23] = {.lex_state = 27, .external_lex_state = 1},
  [24] = {.lex_state = 26, .external_lex_state = 1},
  [25] = {.lex_state = 27, .external_lex_state = 1},
  [26] = {.lex_state = 27, .external_lex_state = 1},
  [27] = {.lex_state = 27, .external_lex_state = 1},
  [28] = {.lex_state = 27, .external_lex_state = 1},
  [29] = {.lex_state = 27, .external_lex_state = 1},
  [30] = {.lex_state = 27, .external_lex_state = 1},
  [31] = {.lex_state = 27, .external_lex_state = 1},
  [32] = {.lex_state = 27, .external_lex_state = 1},
  [33] = {.lex_state = 27, .external_lex_state = 1},
  [34] = {.lex_state = 27, .external_lex_state = 1},
  [35] = {.lex_state = 27, .external_lex_state = 1},
  [36] = {.lex_state = 27, .external_lex_state = 1},
  [37] = {.lex_state = 27, .external_lex_state = 1},
  [38] = {.lex_state = 27, .external_lex_state = 1},
  [39] = {.lex_state = 27, .external_lex_state = 1},
  [40] = {.lex_state = 27, .external_lex_state = 1},
  [41] = {.lex_state = 27, .external_lex_state = 1},
  [42] = {.lex_state = 27, .external_lex_state = 1},
  [43] = {.lex_state = 27, .external_lex_state = 1},
  [44] = {.lex_state = 27, .external_lex_state = 1},
  [45] = {.lex_state = 27, .external_lex_state = 1},
  [46] = {.lex_state = 27, .external_lex_state = 1},
  [47] = {.lex_state = 27, .external_lex_state = 1},
  [48] = {.lex_state = 27, .external_lex_state = 1},
  [49] = {.lex_state = 27, .external_lex_state = 1},
  [50] = {.lex_state = 27, .external_lex_state = 1},
  [51] = {.lex_state = 27, .external_lex_state = 1},
  [52] = {.lex_state = 27, .external_lex_state = 1},
  [53] = {.lex_state = 27, .external_lex_state = 1},
  [54] = {.lex_state = 27, .external_lex_state = 1},
  [55] = {.lex_state = 27, .external_lex_state = 1},
  [56] = {.lex_state = 27, .external_lex_state = 1},
  [57] = {.lex_state = 27, .external_lex_state = 1},
  [58] = {.lex_state = 27, .external_lex_state = 1},
  [59] = {.lex_state = 27, .external_lex_state = 1},
  [60] = {.lex_state = 27, .external_lex_state = 1},
  [61] = {.lex_state = 27, .external_lex_state = 1},
  [62] = {.lex_state = 27, .external_lex_state = 1},
  [63] = {.lex_state = 27, .external_lex_state = 1},
  [64] = {.lex_state = 27, .external_lex_state = 1},
  [65] = {.lex_state = 27, .external_lex_state = 1},
  [66] = {.lex_state = 27, .external_lex_state = 1},
  [67] = {.lex_state = 30, .external_lex_state = 1},
  [68] = {.lex_state = 30, .external_lex_state = 1},
  [69] = {.lex_state = 30, .external_lex_state = 1},
  [70] = {.lex_state = 30, .external_lex_state = 1},
  [71] = {.lex_state = 30, .external_lex_state = 1},
  [72] = {.lex_state = 30, .external_lex_state = 1},
  [73] = {.lex_state = 31, .external_lex_state = 1},
  [74] = {.lex_state = 31, .external_lex_state = 1},
  [75] = {.lex_state = 31, .external_lex_state = 1},
  [76] = {.lex_state = 31, .external_lex_state = 1},
  [77] = {.lex_state = 31, .external_lex_state = 1},
  [78] = {.lex_state = 31, .external_lex_state = 1},
  [79] = {.lex_state = 31, .external_lex_state = 1},
  [80] = {.lex_state = 31, .external_lex_state = 1},
  [81] = {.lex_state = 31, .external_lex_state = 1},
  [82] = {.lex_state = 31, .external_lex_state = 1},
  [83] = {.lex_state = 31, .external_lex_state = 1},
  [84] = {.lex_state = 15, .external_lex_state = 1},
  [85] = {.lex_state = 29, .external_lex_state = 1},
  [86] = {.lex_state = 29, .external_lex_state = 1},
  [87] = {.lex_state = 18, .external_lex_state = 1},
  [88] = {.lex_state = 29, .external_lex_state = 1},
  [89] = {.lex_state = 29, .external_lex_state = 1},
  [90] = {.lex_state = 29, .external_lex_state = 1},
  [91] = {.lex_state = 18, .external_lex_state = 1},
  [92] = {.lex_state = 18, .external_lex_state = 1},
  [93] = {.lex_state = 29, .external_lex_state = 1},
  [94] = {.lex_state = 18, .external_lex_state = 1},
  [95] = {.lex_state = 29, .external_lex_state = 1},
  [96] = {.lex_state = 18, .external_lex_state = 1},
  [97] = {.lex_state = 18, .external_lex_state = 1},
  [98] = {.lex_state = 18, .external_lex_state = 1},
  [99] = {.lex_state = 9, .external_lex_state = 1},
  [100] = {.lex_state = 6, .external_lex_state = 1},
  [101] = {.lex_state = 7, .external_lex_state = 1},
  [102] = {.lex_state = 8, .external_lex_state = 1},
  [103] = {.lex_state = 10, .external_lex_state = 1},
  [104] = {.lex_state = 17, .external_lex_state = 1},
  [105] = {.lex_state = 8, .external_lex_state = 1},
  [106] = {.lex_state = 17, .external_lex_state = 1},
  [107] = {.lex_state = 17, .external_lex_state = 1},
  [108] = {.lex_state = 11, .external_lex_state = 1},
  [109] = {.lex_state = 11, .external_lex_state = 1},
  [110] = {.lex_state = 11, .external_lex_state = 1},
  [111] = {.lex_state = 11, .external_lex_state = 1},
  [112] = {.lex_state = 11, .external_lex_state = 1},
  [113] = {.lex_state = 16, .external_lex_state = 1},
  [114] = {.lex_state = 11, .external_lex_state = 1},
  [115] = {.lex_state = 11, .external_lex_state = 1},
  [116] = {.lex_state = 11, .external_lex_state = 1},
  [117] = {.lex_state = 16, .external_lex_state = 1},
  [118] = {.lex_state = 11, .external_lex_state = 1},
  [119] = {.lex_state = 11, .external_lex_state = 1},
  [120] = {.lex_state = 11, .external_lex_state = 1},
  [121] = {.lex_state = 11, .external_lex_state = 1},
  [122] = {.lex_state = 11, .external_lex_state = 1},
  [123] = {.lex_state = 11, .external_lex_state = 1},
  [124] = {.lex_state = 11, .external_lex_state = 1},
  [125] = {.lex_state = 16, .external_lex_state = 1},
  [126] = {.lex_state = 18, .external_lex_state = 1},
  [127] = {.lex_state = 18, .external_lex_state = 1},
  [128] = {.lex_state = 18, .external_lex_state = 1},
  [129] = {.lex_state = 18, .external_lex_state = 1},
  [130] = {.lex_state = 18, .external_lex_state = 1},
  [131] = {.lex_state = 18, .external_lex_state = 1},
  [132] = {.lex_state = 18, .external_lex_state = 1},
  [133] = {.lex_state = 18, .external_lex_state = 1},
  [134] = {.lex_state = 18, .external_lex_state = 1},
  [135] = {.lex_state = 18, .external_lex_state = 1},
  [136] = {.lex_state = 18, .external_lex_state = 1},
  [137] = {.lex_state = 18, .external_lex_state = 1},
  [138] = {.lex_state = 18, .external_lex_state = 1},
  [139] = {.lex_state = 18, .external_lex_state = 1},
  [140] = {.lex_state = 18, .external_lex_state = 1},
  [141] = {.lex_state = 18, .external_lex_state = 1},
  [142] = {.lex_state = 18, .external_lex_state = 1},
  [143] = {.lex_state = 18, .external_lex_state = 1},
  [144] = {.lex_state = 18, .external_lex_state = 1},
  [145] = {.lex_state = 18, .external_lex_state = 1},
  [146] = {.lex_state = 18, .external_lex_state = 1},
  [147] = {.lex_state = 18, .external_lex_state = 1},
  [148] = {.lex_state = 18, .external_lex_state = 1},
  [149] = {.lex_state = 2},
  [150] = {.lex_state = 2},
  [151] = {.lex_state = 2},
  [152] = {.lex_state = 2},
  [153] = {.lex_state = 2},
  [154] = {.lex_state = 2},
  [155] = {.lex_state = 2},
  [156] = {.lex_state = 29},
  [157] = {.lex_state = 29},
  [158] = {.lex_state = 13},
  [159] = {.lex_state = 29},
  [160] = {.lex_state = 29},
  [161] = {.lex_state = 29},
  [162] = {.lex_state = 29},
  [163] = {.lex_state = 29},
  [164] = {.lex_state = 29},
  [165] = {.lex_state = 29},
  [166] = {.lex_state = 29},
  [167] = {.lex_state = 13},
  [168] = {.lex_state = 13},
  [169] = {.lex_state = 29},
  [170] = {.lex_state = 29},
  [171] = {.lex_state = 29},
  [172] = {.lex_state = 29},
  [173] = {.lex_state = 29},
  [174] = {.lex_state = 13},
  [175] = {.lex_state = 29},
  [176] = {.lex_state = 29},
  [177] = {.lex_state = 13},
  [178] = {.lex_state = 12},
  [179] = {.lex_state = 89},
  [180] = {.lex_state = 89},
  [181] = {.lex_state = 12},
  [182] = {.lex_state = 89},
  [183] = {.lex_state = 12},
  [184] = {.lex_state = 2},
  [185] = {.lex_state = 89},
  [186] = {.lex_state = 12},
  [187] = {.lex_state = 20},
  [188] = {.lex_state = 89},
  [189] = {.lex_state = 20},
  [190] = {.lex_state = 13},
  [191] = {.lex_state = 89},
  [192] = {.lex_state = 12},
  [193] = {.lex_state = 29},
  [194] = {.lex_state = 29},
  [195] = {.lex_state = 2},
  [196] = {.lex_state = 0},
  [197] = {.lex_state = 29},
  [198] = {.lex_state = 2},
  [199] = {.lex_state = 12},
  [200] = {.lex_state = 12},
  [201] = {.lex_state = 29},
  [202] = {.lex_state = 12},
};

enum {
  ts_external_token_null_character = 0,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_null_character] = sym_null_character,
};

static bool ts_external_scanner_states[2][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_null_character] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_disjunction_delimiter] = ACTIONS(1),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(1),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(1),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(1),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(1),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [aux_sym_count_quantifier_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_QMARK_EQ] = ACTIONS(1),
    [anon_sym_QMARK_BANG] = ACTIONS(1),
    [anon_sym_QMARK_LT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_LT_BANG] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_backreference_token1] = ACTIONS(1),
    [anon_sym_BSLASHk_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_QMARK_LT] = ACTIONS(1),
    [anon_sym_QMARK_COLON] = ACTIONS(1),
    [sym_group_begin] = ACTIONS(1),
    [sym_group_end] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [aux_sym_set_atom_token1] = ACTIONS(1),
    [anon_sym_BSLASHb] = ACTIONS(1),
    [aux_sym_character_class_escape_token1] = ACTIONS(1),
    [aux_sym_character_class_escape_token2] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_identity_escape_token1] = ACTIONS(1),
    [anon_sym_BSLASHu] = ACTIONS(1),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(1),
    [anon_sym_BSLASHx] = ACTIONS(1),
    [aux_sym__invalid__hexadecimal_escape_token1] = ACTIONS(1),
    [anon_sym_BSLASHc] = ACTIONS(1),
    [aux_sym_control_letter_escape_token1] = ACTIONS(1),
    [sym_special_escape] = ACTIONS(1),
    [sym_end_assertion] = ACTIONS(1),
    [sym_non_boundary_assertion] = ACTIONS(1),
    [sym_any_character] = ACTIONS(1),
    [sym_non_syntax_character] = ACTIONS(1),
    [sym_null_character] = ACTIONS(1),
  },
  [1] = {
    [sym_regex] = STATE(196),
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(4),
    [aux_sym_disjunction_repeat1] = STATE(171),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [2] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_named_capturing_group_identifier] = STATE(17),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(16),
    [aux_sym_disjunction_repeat1] = STATE(157),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_QMARK_EQ] = ACTIONS(33),
    [anon_sym_QMARK_BANG] = ACTIONS(35),
    [anon_sym_QMARK_LT_EQ] = ACTIONS(37),
    [anon_sym_QMARK_LT_BANG] = ACTIONS(39),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [anon_sym_QMARK_LT] = ACTIONS(41),
    [anon_sym_QMARK_COLON] = ACTIONS(43),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [3] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(14),
    [aux_sym_disjunction_repeat1] = STATE(160),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [4] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(7),
    [aux_sym_disjunction_repeat1] = STATE(176),
    [ts_builtin_sym_end] = ACTIONS(49),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [5] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(7),
    [aux_sym_disjunction_repeat1] = STATE(165),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [6] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(12),
    [ts_builtin_sym_end] = ACTIONS(53),
    [sym_disjunction_delimiter] = ACTIONS(53),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [7] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(7),
    [ts_builtin_sym_end] = ACTIONS(55),
    [sym_disjunction_delimiter] = ACTIONS(55),
    [anon_sym_BSLASH] = ACTIONS(57),
    [anon_sym_BSLASHk_LT] = ACTIONS(60),
    [sym_group_begin] = ACTIONS(63),
    [sym_group_end] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(66),
    [anon_sym_CARET] = ACTIONS(69),
    [anon_sym_BSLASHb] = ACTIONS(72),
    [aux_sym_character_class_escape_token1] = ACTIONS(75),
    [aux_sym_character_class_escape_token2] = ACTIONS(78),
    [anon_sym_BSLASHu] = ACTIONS(81),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(84),
    [anon_sym_BSLASHx] = ACTIONS(87),
    [anon_sym_BSLASHc] = ACTIONS(90),
    [sym_special_escape] = ACTIONS(93),
    [sym_end_assertion] = ACTIONS(96),
    [sym_non_boundary_assertion] = ACTIONS(96),
    [sym_any_character] = ACTIONS(96),
    [sym_non_syntax_character] = ACTIONS(96),
    [sym_null_character] = ACTIONS(93),
  },
  [8] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(9),
    [aux_sym_disjunction_repeat1] = STATE(164),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [9] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(7),
    [aux_sym_disjunction_repeat1] = STATE(169),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [10] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(5),
    [aux_sym_disjunction_repeat1] = STATE(166),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [11] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(7),
    [aux_sym_disjunction_repeat1] = STATE(172),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [12] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(7),
    [ts_builtin_sym_end] = ACTIONS(107),
    [sym_disjunction_delimiter] = ACTIONS(107),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [13] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(11),
    [aux_sym_disjunction_repeat1] = STATE(162),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [14] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(7),
    [aux_sym_disjunction_repeat1] = STATE(173),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [15] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(7),
    [aux_sym_disjunction_repeat1] = STATE(175),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [16] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(7),
    [aux_sym_disjunction_repeat1] = STATE(161),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [17] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(15),
    [aux_sym_disjunction_repeat1] = STATE(159),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(117),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [18] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(19),
    [aux_sym_disjunction_repeat1] = STATE(170),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [19] = {
    [sym_lookahead_assertion] = STATE(28),
    [sym_negative_lookahead_assertion] = STATE(28),
    [sym_lookbehind_assertion] = STATE(28),
    [sym_negative_lookbehind_assertion] = STATE(28),
    [sym_backreference] = STATE(28),
    [sym_named_capturing_group] = STATE(28),
    [sym_non_capturing_group] = STATE(28),
    [sym_anonymous_capturing_group] = STATE(28),
    [sym_character_set] = STATE(28),
    [sym_character_class_escape] = STATE(28),
    [sym_identity_escape] = STATE(28),
    [sym_unicode_escape] = STATE(29),
    [sym_hexadecimal_escape] = STATE(29),
    [sym_control_letter_escape] = STATE(29),
    [sym__escape_operator] = STATE(192),
    [sym_start_assertion] = STATE(28),
    [sym_boundary_assertion] = STATE(28),
    [aux_sym_pattern_repeat1] = STATE(7),
    [aux_sym_disjunction_repeat1] = STATE(163),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [anon_sym_BSLASH] = ACTIONS(5),
    [anon_sym_BSLASHk_LT] = ACTIONS(7),
    [sym_group_begin] = ACTIONS(9),
    [sym_group_end] = ACTIONS(121),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym_BSLASHb] = ACTIONS(15),
    [aux_sym_character_class_escape_token1] = ACTIONS(17),
    [aux_sym_character_class_escape_token2] = ACTIONS(19),
    [anon_sym_BSLASHu] = ACTIONS(21),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(23),
    [anon_sym_BSLASHx] = ACTIONS(25),
    [anon_sym_BSLASHc] = ACTIONS(27),
    [sym_special_escape] = ACTIONS(29),
    [sym_end_assertion] = ACTIONS(31),
    [sym_non_boundary_assertion] = ACTIONS(31),
    [sym_any_character] = ACTIONS(31),
    [sym_non_syntax_character] = ACTIONS(31),
    [sym_null_character] = ACTIONS(29),
  },
  [20] = {
    [sym_zero_or_more] = STATE(73),
    [sym_one_or_more] = STATE(73),
    [sym_optional] = STATE(73),
    [sym_count_quantifier] = STATE(73),
    [ts_builtin_sym_end] = ACTIONS(123),
    [sym_disjunction_delimiter] = ACTIONS(123),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(125),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(125),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(125),
    [anon_sym_STAR] = ACTIONS(127),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_BSLASH] = ACTIONS(135),
    [anon_sym_BSLASHk_LT] = ACTIONS(123),
    [sym_group_begin] = ACTIONS(123),
    [sym_group_end] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_CARET] = ACTIONS(123),
    [anon_sym_BSLASHb] = ACTIONS(123),
    [aux_sym_character_class_escape_token1] = ACTIONS(123),
    [aux_sym_character_class_escape_token2] = ACTIONS(123),
    [anon_sym_BSLASHu] = ACTIONS(135),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(123),
    [anon_sym_BSLASHx] = ACTIONS(123),
    [aux_sym_hexadecimal_escape_token1] = ACTIONS(137),
    [aux_sym__invalid__hexadecimal_escape_token1] = ACTIONS(139),
    [anon_sym_BSLASHc] = ACTIONS(123),
    [sym_special_escape] = ACTIONS(123),
    [sym_end_assertion] = ACTIONS(123),
    [sym_non_boundary_assertion] = ACTIONS(123),
    [sym_any_character] = ACTIONS(123),
    [sym_non_syntax_character] = ACTIONS(135),
    [sym_null_character] = ACTIONS(123),
  },
  [21] = {
    [sym_zero_or_more] = STATE(74),
    [sym_one_or_more] = STATE(74),
    [sym_optional] = STATE(74),
    [sym_count_quantifier] = STATE(74),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_disjunction_delimiter] = ACTIONS(141),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(143),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(143),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(143),
    [anon_sym_STAR] = ACTIONS(127),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(145),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_BSLASHk_LT] = ACTIONS(141),
    [sym_group_begin] = ACTIONS(141),
    [sym_group_end] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(141),
    [anon_sym_BSLASHb] = ACTIONS(141),
    [aux_sym_character_class_escape_token1] = ACTIONS(141),
    [aux_sym_character_class_escape_token2] = ACTIONS(141),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_BSLASHu] = ACTIONS(147),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(141),
    [anon_sym_BSLASHx] = ACTIONS(141),
    [anon_sym_BSLASHc] = ACTIONS(141),
    [sym_special_escape] = ACTIONS(141),
    [sym_end_assertion] = ACTIONS(141),
    [sym_non_boundary_assertion] = ACTIONS(141),
    [sym_any_character] = ACTIONS(141),
    [sym_non_syntax_character] = ACTIONS(147),
    [sym_null_character] = ACTIONS(141),
  },
  [22] = {
    [sym_zero_or_more] = STATE(81),
    [sym_one_or_more] = STATE(81),
    [sym_optional] = STATE(81),
    [sym_count_quantifier] = STATE(81),
    [ts_builtin_sym_end] = ACTIONS(55),
    [sym_disjunction_delimiter] = ACTIONS(55),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(151),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(151),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(127),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_BSLASHk_LT] = ACTIONS(55),
    [sym_group_begin] = ACTIONS(55),
    [sym_group_end] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [aux_sym_character_class_escape_token1] = ACTIONS(55),
    [aux_sym_character_class_escape_token2] = ACTIONS(55),
    [sym__unicode_property] = ACTIONS(157),
    [anon_sym_BSLASHu] = ACTIONS(155),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHc] = ACTIONS(55),
    [sym_special_escape] = ACTIONS(55),
    [sym_end_assertion] = ACTIONS(55),
    [sym_non_boundary_assertion] = ACTIONS(55),
    [sym_any_character] = ACTIONS(55),
    [sym_non_syntax_character] = ACTIONS(155),
    [sym_null_character] = ACTIONS(55),
  },
  [23] = {
    [sym_zero_or_more] = STATE(78),
    [sym_one_or_more] = STATE(78),
    [sym_optional] = STATE(78),
    [sym_count_quantifier] = STATE(78),
    [ts_builtin_sym_end] = ACTIONS(159),
    [sym_disjunction_delimiter] = ACTIONS(159),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(161),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(161),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(161),
    [anon_sym_STAR] = ACTIONS(127),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(165),
    [anon_sym_BSLASHk_LT] = ACTIONS(159),
    [sym_group_begin] = ACTIONS(159),
    [sym_group_end] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_BSLASHb] = ACTIONS(159),
    [aux_sym_character_class_escape_token1] = ACTIONS(159),
    [aux_sym_character_class_escape_token2] = ACTIONS(159),
    [anon_sym_BSLASHu] = ACTIONS(165),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(159),
    [anon_sym_BSLASHx] = ACTIONS(159),
    [anon_sym_BSLASHc] = ACTIONS(159),
    [sym_special_escape] = ACTIONS(159),
    [sym_end_assertion] = ACTIONS(159),
    [sym_non_boundary_assertion] = ACTIONS(159),
    [sym_any_character] = ACTIONS(159),
    [sym_non_syntax_character] = ACTIONS(159),
    [sym_null_character] = ACTIONS(159),
  },
  [24] = {
    [sym_zero_or_more] = STATE(80),
    [sym_one_or_more] = STATE(80),
    [sym_optional] = STATE(80),
    [sym_count_quantifier] = STATE(80),
    [ts_builtin_sym_end] = ACTIONS(167),
    [sym_disjunction_delimiter] = ACTIONS(167),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(169),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(169),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(169),
    [anon_sym_STAR] = ACTIONS(127),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_BSLASH] = ACTIONS(171),
    [anon_sym_BSLASHk_LT] = ACTIONS(167),
    [sym_group_begin] = ACTIONS(167),
    [sym_group_end] = ACTIONS(167),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_CARET] = ACTIONS(167),
    [anon_sym_BSLASHb] = ACTIONS(167),
    [aux_sym_character_class_escape_token1] = ACTIONS(167),
    [aux_sym_character_class_escape_token2] = ACTIONS(167),
    [sym__unicode_property] = ACTIONS(173),
    [anon_sym_BSLASHu] = ACTIONS(171),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(167),
    [anon_sym_BSLASHx] = ACTIONS(167),
    [anon_sym_BSLASHc] = ACTIONS(167),
    [sym_special_escape] = ACTIONS(167),
    [sym_end_assertion] = ACTIONS(167),
    [sym_non_boundary_assertion] = ACTIONS(167),
    [sym_any_character] = ACTIONS(167),
    [sym_non_syntax_character] = ACTIONS(171),
    [sym_null_character] = ACTIONS(167),
  },
  [25] = {
    [sym_zero_or_more] = STATE(81),
    [sym_one_or_more] = STATE(81),
    [sym_optional] = STATE(81),
    [sym_count_quantifier] = STATE(81),
    [ts_builtin_sym_end] = ACTIONS(55),
    [sym_disjunction_delimiter] = ACTIONS(55),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(151),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(151),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(127),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(175),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_BSLASHk_LT] = ACTIONS(55),
    [sym_group_begin] = ACTIONS(55),
    [sym_group_end] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [aux_sym_character_class_escape_token1] = ACTIONS(55),
    [aux_sym_character_class_escape_token2] = ACTIONS(55),
    [anon_sym_BSLASHu] = ACTIONS(155),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHc] = ACTIONS(55),
    [sym_special_escape] = ACTIONS(55),
    [sym_end_assertion] = ACTIONS(55),
    [sym_non_boundary_assertion] = ACTIONS(55),
    [sym_any_character] = ACTIONS(55),
    [sym_non_syntax_character] = ACTIONS(55),
    [sym_null_character] = ACTIONS(55),
  },
  [26] = {
    [sym_zero_or_more] = STATE(81),
    [sym_one_or_more] = STATE(81),
    [sym_optional] = STATE(81),
    [sym_count_quantifier] = STATE(81),
    [ts_builtin_sym_end] = ACTIONS(55),
    [sym_disjunction_delimiter] = ACTIONS(55),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(151),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(151),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(127),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_BSLASHk_LT] = ACTIONS(55),
    [sym_group_begin] = ACTIONS(55),
    [sym_group_end] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [aux_sym_character_class_escape_token1] = ACTIONS(55),
    [aux_sym_character_class_escape_token2] = ACTIONS(55),
    [anon_sym_BSLASHu] = ACTIONS(155),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHc] = ACTIONS(55),
    [sym_special_escape] = ACTIONS(55),
    [sym_end_assertion] = ACTIONS(55),
    [sym_non_boundary_assertion] = ACTIONS(55),
    [sym_any_character] = ACTIONS(55),
    [sym_non_syntax_character] = ACTIONS(55),
    [sym_null_character] = ACTIONS(55),
  },
  [27] = {
    [sym_zero_or_more] = STATE(74),
    [sym_one_or_more] = STATE(74),
    [sym_optional] = STATE(74),
    [sym_count_quantifier] = STATE(74),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_disjunction_delimiter] = ACTIONS(141),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(143),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(143),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(143),
    [anon_sym_STAR] = ACTIONS(127),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_BSLASHk_LT] = ACTIONS(141),
    [sym_group_begin] = ACTIONS(141),
    [sym_group_end] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(141),
    [anon_sym_BSLASHb] = ACTIONS(141),
    [aux_sym_character_class_escape_token1] = ACTIONS(141),
    [aux_sym_character_class_escape_token2] = ACTIONS(141),
    [anon_sym_BSLASHu] = ACTIONS(147),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(141),
    [anon_sym_BSLASHx] = ACTIONS(141),
    [anon_sym_BSLASHc] = ACTIONS(141),
    [sym_special_escape] = ACTIONS(141),
    [sym_end_assertion] = ACTIONS(141),
    [sym_non_boundary_assertion] = ACTIONS(141),
    [sym_any_character] = ACTIONS(141),
    [sym_non_syntax_character] = ACTIONS(141),
    [sym_null_character] = ACTIONS(141),
  },
  [28] = {
    [sym_zero_or_more] = STATE(73),
    [sym_one_or_more] = STATE(73),
    [sym_optional] = STATE(73),
    [sym_count_quantifier] = STATE(73),
    [ts_builtin_sym_end] = ACTIONS(123),
    [sym_disjunction_delimiter] = ACTIONS(123),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(125),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(125),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(125),
    [anon_sym_STAR] = ACTIONS(127),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_BSLASH] = ACTIONS(135),
    [anon_sym_BSLASHk_LT] = ACTIONS(123),
    [sym_group_begin] = ACTIONS(123),
    [sym_group_end] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_CARET] = ACTIONS(123),
    [anon_sym_BSLASHb] = ACTIONS(123),
    [aux_sym_character_class_escape_token1] = ACTIONS(123),
    [aux_sym_character_class_escape_token2] = ACTIONS(123),
    [anon_sym_BSLASHu] = ACTIONS(135),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(123),
    [anon_sym_BSLASHx] = ACTIONS(123),
    [anon_sym_BSLASHc] = ACTIONS(123),
    [sym_special_escape] = ACTIONS(123),
    [sym_end_assertion] = ACTIONS(123),
    [sym_non_boundary_assertion] = ACTIONS(123),
    [sym_any_character] = ACTIONS(123),
    [sym_non_syntax_character] = ACTIONS(123),
    [sym_null_character] = ACTIONS(123),
  },
  [29] = {
    [sym_zero_or_more] = STATE(73),
    [sym_one_or_more] = STATE(73),
    [sym_optional] = STATE(73),
    [sym_count_quantifier] = STATE(73),
    [ts_builtin_sym_end] = ACTIONS(123),
    [sym_disjunction_delimiter] = ACTIONS(123),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(125),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(125),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(125),
    [anon_sym_STAR] = ACTIONS(127),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_BSLASH] = ACTIONS(135),
    [anon_sym_BSLASHk_LT] = ACTIONS(123),
    [sym_group_begin] = ACTIONS(123),
    [sym_group_end] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_CARET] = ACTIONS(123),
    [anon_sym_BSLASHb] = ACTIONS(123),
    [aux_sym_character_class_escape_token1] = ACTIONS(123),
    [aux_sym_character_class_escape_token2] = ACTIONS(123),
    [anon_sym_BSLASHu] = ACTIONS(135),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(123),
    [anon_sym_BSLASHx] = ACTIONS(123),
    [anon_sym_BSLASHc] = ACTIONS(123),
    [sym_special_escape] = ACTIONS(123),
    [sym_end_assertion] = ACTIONS(123),
    [sym_non_boundary_assertion] = ACTIONS(123),
    [sym_any_character] = ACTIONS(123),
    [sym_non_syntax_character] = ACTIONS(123),
    [sym_null_character] = ACTIONS(123),
  },
  [30] = {
    [ts_builtin_sym_end] = ACTIONS(177),
    [sym_disjunction_delimiter] = ACTIONS(177),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(177),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(177),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(177),
    [anon_sym_STAR] = ACTIONS(177),
    [anon_sym_QMARK] = ACTIONS(177),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_BSLASH] = ACTIONS(179),
    [anon_sym_BSLASHk_LT] = ACTIONS(177),
    [sym_group_begin] = ACTIONS(177),
    [sym_group_end] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(177),
    [anon_sym_CARET] = ACTIONS(177),
    [anon_sym_BSLASHb] = ACTIONS(177),
    [aux_sym_character_class_escape_token1] = ACTIONS(177),
    [aux_sym_character_class_escape_token2] = ACTIONS(177),
    [anon_sym_BSLASHu] = ACTIONS(179),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(177),
    [anon_sym_BSLASHx] = ACTIONS(177),
    [anon_sym_BSLASHc] = ACTIONS(177),
    [sym_special_escape] = ACTIONS(177),
    [sym_end_assertion] = ACTIONS(177),
    [sym_non_boundary_assertion] = ACTIONS(177),
    [sym_any_character] = ACTIONS(177),
    [sym_non_syntax_character] = ACTIONS(177),
    [sym_null_character] = ACTIONS(177),
  },
  [31] = {
    [ts_builtin_sym_end] = ACTIONS(181),
    [sym_disjunction_delimiter] = ACTIONS(181),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(181),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(181),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(181),
    [anon_sym_STAR] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_BSLASH] = ACTIONS(183),
    [anon_sym_BSLASHk_LT] = ACTIONS(181),
    [sym_group_begin] = ACTIONS(181),
    [sym_group_end] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_BSLASHb] = ACTIONS(181),
    [aux_sym_character_class_escape_token1] = ACTIONS(181),
    [aux_sym_character_class_escape_token2] = ACTIONS(181),
    [anon_sym_BSLASHu] = ACTIONS(183),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(181),
    [anon_sym_BSLASHx] = ACTIONS(181),
    [anon_sym_BSLASHc] = ACTIONS(181),
    [sym_special_escape] = ACTIONS(181),
    [sym_end_assertion] = ACTIONS(181),
    [sym_non_boundary_assertion] = ACTIONS(181),
    [sym_any_character] = ACTIONS(181),
    [sym_non_syntax_character] = ACTIONS(181),
    [sym_null_character] = ACTIONS(181),
  },
  [32] = {
    [ts_builtin_sym_end] = ACTIONS(185),
    [sym_disjunction_delimiter] = ACTIONS(185),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(185),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(185),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(185),
    [anon_sym_STAR] = ACTIONS(185),
    [anon_sym_QMARK] = ACTIONS(185),
    [anon_sym_PLUS] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_BSLASH] = ACTIONS(187),
    [anon_sym_BSLASHk_LT] = ACTIONS(185),
    [sym_group_begin] = ACTIONS(185),
    [sym_group_end] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_CARET] = ACTIONS(185),
    [anon_sym_BSLASHb] = ACTIONS(185),
    [aux_sym_character_class_escape_token1] = ACTIONS(185),
    [aux_sym_character_class_escape_token2] = ACTIONS(185),
    [anon_sym_BSLASHu] = ACTIONS(187),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(185),
    [anon_sym_BSLASHx] = ACTIONS(185),
    [anon_sym_BSLASHc] = ACTIONS(185),
    [sym_special_escape] = ACTIONS(185),
    [sym_end_assertion] = ACTIONS(185),
    [sym_non_boundary_assertion] = ACTIONS(185),
    [sym_any_character] = ACTIONS(185),
    [sym_non_syntax_character] = ACTIONS(185),
    [sym_null_character] = ACTIONS(185),
  },
  [33] = {
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym_disjunction_delimiter] = ACTIONS(189),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(189),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(189),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(189),
    [anon_sym_STAR] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(191),
    [anon_sym_BSLASH] = ACTIONS(191),
    [anon_sym_BSLASHk_LT] = ACTIONS(189),
    [sym_group_begin] = ACTIONS(189),
    [sym_group_end] = ACTIONS(189),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_CARET] = ACTIONS(189),
    [anon_sym_BSLASHb] = ACTIONS(189),
    [aux_sym_character_class_escape_token1] = ACTIONS(189),
    [aux_sym_character_class_escape_token2] = ACTIONS(189),
    [anon_sym_BSLASHu] = ACTIONS(191),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(189),
    [anon_sym_BSLASHx] = ACTIONS(189),
    [anon_sym_BSLASHc] = ACTIONS(189),
    [sym_special_escape] = ACTIONS(189),
    [sym_end_assertion] = ACTIONS(189),
    [sym_non_boundary_assertion] = ACTIONS(189),
    [sym_any_character] = ACTIONS(189),
    [sym_non_syntax_character] = ACTIONS(189),
    [sym_null_character] = ACTIONS(189),
  },
  [34] = {
    [ts_builtin_sym_end] = ACTIONS(193),
    [sym_disjunction_delimiter] = ACTIONS(193),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(193),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(193),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(193),
    [anon_sym_QMARK] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_BSLASH] = ACTIONS(195),
    [anon_sym_BSLASHk_LT] = ACTIONS(193),
    [sym_group_begin] = ACTIONS(193),
    [sym_group_end] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_CARET] = ACTIONS(193),
    [anon_sym_BSLASHb] = ACTIONS(193),
    [aux_sym_character_class_escape_token1] = ACTIONS(193),
    [aux_sym_character_class_escape_token2] = ACTIONS(193),
    [anon_sym_BSLASHu] = ACTIONS(195),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(193),
    [anon_sym_BSLASHx] = ACTIONS(193),
    [anon_sym_BSLASHc] = ACTIONS(193),
    [sym_special_escape] = ACTIONS(193),
    [sym_end_assertion] = ACTIONS(193),
    [sym_non_boundary_assertion] = ACTIONS(193),
    [sym_any_character] = ACTIONS(193),
    [sym_non_syntax_character] = ACTIONS(193),
    [sym_null_character] = ACTIONS(193),
  },
  [35] = {
    [ts_builtin_sym_end] = ACTIONS(197),
    [sym_disjunction_delimiter] = ACTIONS(197),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(197),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(197),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(197),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_BSLASHk_LT] = ACTIONS(197),
    [sym_group_begin] = ACTIONS(197),
    [sym_group_end] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(197),
    [anon_sym_BSLASHb] = ACTIONS(197),
    [aux_sym_character_class_escape_token1] = ACTIONS(197),
    [aux_sym_character_class_escape_token2] = ACTIONS(197),
    [anon_sym_BSLASHu] = ACTIONS(199),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(197),
    [anon_sym_BSLASHx] = ACTIONS(197),
    [anon_sym_BSLASHc] = ACTIONS(197),
    [sym_special_escape] = ACTIONS(197),
    [sym_end_assertion] = ACTIONS(197),
    [sym_non_boundary_assertion] = ACTIONS(197),
    [sym_any_character] = ACTIONS(197),
    [sym_non_syntax_character] = ACTIONS(197),
    [sym_null_character] = ACTIONS(197),
  },
  [36] = {
    [ts_builtin_sym_end] = ACTIONS(201),
    [sym_disjunction_delimiter] = ACTIONS(201),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(201),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(201),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(201),
    [anon_sym_LBRACE] = ACTIONS(203),
    [anon_sym_BSLASH] = ACTIONS(203),
    [anon_sym_BSLASHk_LT] = ACTIONS(201),
    [sym_group_begin] = ACTIONS(201),
    [sym_group_end] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(201),
    [anon_sym_CARET] = ACTIONS(201),
    [anon_sym_BSLASHb] = ACTIONS(201),
    [aux_sym_character_class_escape_token1] = ACTIONS(201),
    [aux_sym_character_class_escape_token2] = ACTIONS(201),
    [anon_sym_BSLASHu] = ACTIONS(203),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(201),
    [anon_sym_BSLASHx] = ACTIONS(201),
    [anon_sym_BSLASHc] = ACTIONS(201),
    [sym_special_escape] = ACTIONS(201),
    [sym_end_assertion] = ACTIONS(201),
    [sym_non_boundary_assertion] = ACTIONS(201),
    [sym_any_character] = ACTIONS(201),
    [sym_non_syntax_character] = ACTIONS(201),
    [sym_null_character] = ACTIONS(201),
  },
  [37] = {
    [ts_builtin_sym_end] = ACTIONS(205),
    [sym_disjunction_delimiter] = ACTIONS(205),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(205),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(205),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_BSLASH] = ACTIONS(207),
    [anon_sym_BSLASHk_LT] = ACTIONS(205),
    [sym_group_begin] = ACTIONS(205),
    [sym_group_end] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_BSLASHb] = ACTIONS(205),
    [aux_sym_character_class_escape_token1] = ACTIONS(205),
    [aux_sym_character_class_escape_token2] = ACTIONS(205),
    [anon_sym_BSLASHu] = ACTIONS(207),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(205),
    [anon_sym_BSLASHx] = ACTIONS(205),
    [anon_sym_BSLASHc] = ACTIONS(205),
    [sym_special_escape] = ACTIONS(205),
    [sym_end_assertion] = ACTIONS(205),
    [sym_non_boundary_assertion] = ACTIONS(205),
    [sym_any_character] = ACTIONS(205),
    [sym_non_syntax_character] = ACTIONS(205),
    [sym_null_character] = ACTIONS(205),
  },
  [38] = {
    [ts_builtin_sym_end] = ACTIONS(209),
    [sym_disjunction_delimiter] = ACTIONS(209),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(209),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(209),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(209),
    [anon_sym_STAR] = ACTIONS(209),
    [anon_sym_QMARK] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(211),
    [anon_sym_BSLASH] = ACTIONS(211),
    [anon_sym_BSLASHk_LT] = ACTIONS(209),
    [sym_group_begin] = ACTIONS(209),
    [sym_group_end] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_CARET] = ACTIONS(209),
    [anon_sym_BSLASHb] = ACTIONS(209),
    [aux_sym_character_class_escape_token1] = ACTIONS(209),
    [aux_sym_character_class_escape_token2] = ACTIONS(209),
    [anon_sym_BSLASHu] = ACTIONS(211),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(209),
    [anon_sym_BSLASHx] = ACTIONS(209),
    [anon_sym_BSLASHc] = ACTIONS(209),
    [sym_special_escape] = ACTIONS(209),
    [sym_end_assertion] = ACTIONS(209),
    [sym_non_boundary_assertion] = ACTIONS(209),
    [sym_any_character] = ACTIONS(209),
    [sym_non_syntax_character] = ACTIONS(209),
    [sym_null_character] = ACTIONS(209),
  },
  [39] = {
    [ts_builtin_sym_end] = ACTIONS(213),
    [sym_disjunction_delimiter] = ACTIONS(213),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(213),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(213),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(213),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [anon_sym_BSLASH] = ACTIONS(215),
    [anon_sym_BSLASHk_LT] = ACTIONS(213),
    [sym_group_begin] = ACTIONS(213),
    [sym_group_end] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_CARET] = ACTIONS(213),
    [anon_sym_BSLASHb] = ACTIONS(213),
    [aux_sym_character_class_escape_token1] = ACTIONS(213),
    [aux_sym_character_class_escape_token2] = ACTIONS(213),
    [anon_sym_BSLASHu] = ACTIONS(215),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(213),
    [anon_sym_BSLASHx] = ACTIONS(213),
    [anon_sym_BSLASHc] = ACTIONS(213),
    [sym_special_escape] = ACTIONS(213),
    [sym_end_assertion] = ACTIONS(213),
    [sym_non_boundary_assertion] = ACTIONS(213),
    [sym_any_character] = ACTIONS(213),
    [sym_non_syntax_character] = ACTIONS(213),
    [sym_null_character] = ACTIONS(213),
  },
  [40] = {
    [ts_builtin_sym_end] = ACTIONS(217),
    [sym_disjunction_delimiter] = ACTIONS(217),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(217),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(217),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(217),
    [anon_sym_STAR] = ACTIONS(217),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_LBRACE] = ACTIONS(219),
    [anon_sym_BSLASH] = ACTIONS(219),
    [anon_sym_BSLASHk_LT] = ACTIONS(217),
    [sym_group_begin] = ACTIONS(217),
    [sym_group_end] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_BSLASHb] = ACTIONS(217),
    [aux_sym_character_class_escape_token1] = ACTIONS(217),
    [aux_sym_character_class_escape_token2] = ACTIONS(217),
    [anon_sym_BSLASHu] = ACTIONS(219),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(217),
    [anon_sym_BSLASHx] = ACTIONS(217),
    [anon_sym_BSLASHc] = ACTIONS(217),
    [sym_special_escape] = ACTIONS(217),
    [sym_end_assertion] = ACTIONS(217),
    [sym_non_boundary_assertion] = ACTIONS(217),
    [sym_any_character] = ACTIONS(217),
    [sym_non_syntax_character] = ACTIONS(217),
    [sym_null_character] = ACTIONS(217),
  },
  [41] = {
    [ts_builtin_sym_end] = ACTIONS(221),
    [sym_disjunction_delimiter] = ACTIONS(221),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(221),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(221),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_QMARK] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_BSLASH] = ACTIONS(223),
    [anon_sym_BSLASHk_LT] = ACTIONS(221),
    [sym_group_begin] = ACTIONS(221),
    [sym_group_end] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_BSLASHb] = ACTIONS(221),
    [aux_sym_character_class_escape_token1] = ACTIONS(221),
    [aux_sym_character_class_escape_token2] = ACTIONS(221),
    [anon_sym_BSLASHu] = ACTIONS(223),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(221),
    [anon_sym_BSLASHx] = ACTIONS(221),
    [anon_sym_BSLASHc] = ACTIONS(221),
    [sym_special_escape] = ACTIONS(221),
    [sym_end_assertion] = ACTIONS(221),
    [sym_non_boundary_assertion] = ACTIONS(221),
    [sym_any_character] = ACTIONS(221),
    [sym_non_syntax_character] = ACTIONS(221),
    [sym_null_character] = ACTIONS(221),
  },
  [42] = {
    [ts_builtin_sym_end] = ACTIONS(225),
    [sym_disjunction_delimiter] = ACTIONS(225),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(225),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(225),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(225),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_QMARK] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(225),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_BSLASH] = ACTIONS(227),
    [anon_sym_BSLASHk_LT] = ACTIONS(225),
    [sym_group_begin] = ACTIONS(225),
    [sym_group_end] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(225),
    [anon_sym_BSLASHb] = ACTIONS(225),
    [aux_sym_character_class_escape_token1] = ACTIONS(225),
    [aux_sym_character_class_escape_token2] = ACTIONS(225),
    [anon_sym_BSLASHu] = ACTIONS(227),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(225),
    [anon_sym_BSLASHx] = ACTIONS(225),
    [anon_sym_BSLASHc] = ACTIONS(225),
    [sym_special_escape] = ACTIONS(225),
    [sym_end_assertion] = ACTIONS(225),
    [sym_non_boundary_assertion] = ACTIONS(225),
    [sym_any_character] = ACTIONS(225),
    [sym_non_syntax_character] = ACTIONS(225),
    [sym_null_character] = ACTIONS(225),
  },
  [43] = {
    [ts_builtin_sym_end] = ACTIONS(229),
    [sym_disjunction_delimiter] = ACTIONS(229),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(229),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(229),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(229),
    [anon_sym_STAR] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(231),
    [anon_sym_BSLASH] = ACTIONS(231),
    [anon_sym_BSLASHk_LT] = ACTIONS(229),
    [sym_group_begin] = ACTIONS(229),
    [sym_group_end] = ACTIONS(229),
    [anon_sym_LBRACK] = ACTIONS(229),
    [anon_sym_CARET] = ACTIONS(229),
    [anon_sym_BSLASHb] = ACTIONS(229),
    [aux_sym_character_class_escape_token1] = ACTIONS(229),
    [aux_sym_character_class_escape_token2] = ACTIONS(229),
    [anon_sym_BSLASHu] = ACTIONS(231),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(229),
    [anon_sym_BSLASHx] = ACTIONS(229),
    [anon_sym_BSLASHc] = ACTIONS(229),
    [sym_special_escape] = ACTIONS(229),
    [sym_end_assertion] = ACTIONS(229),
    [sym_non_boundary_assertion] = ACTIONS(229),
    [sym_any_character] = ACTIONS(229),
    [sym_non_syntax_character] = ACTIONS(229),
    [sym_null_character] = ACTIONS(229),
  },
  [44] = {
    [ts_builtin_sym_end] = ACTIONS(233),
    [sym_disjunction_delimiter] = ACTIONS(233),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(233),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(233),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(235),
    [anon_sym_BSLASHk_LT] = ACTIONS(233),
    [sym_group_begin] = ACTIONS(233),
    [sym_group_end] = ACTIONS(233),
    [anon_sym_LBRACK] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_BSLASHb] = ACTIONS(233),
    [aux_sym_character_class_escape_token1] = ACTIONS(233),
    [aux_sym_character_class_escape_token2] = ACTIONS(233),
    [anon_sym_BSLASHu] = ACTIONS(235),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(233),
    [anon_sym_BSLASHx] = ACTIONS(233),
    [anon_sym_BSLASHc] = ACTIONS(233),
    [sym_special_escape] = ACTIONS(233),
    [sym_end_assertion] = ACTIONS(233),
    [sym_non_boundary_assertion] = ACTIONS(233),
    [sym_any_character] = ACTIONS(233),
    [sym_non_syntax_character] = ACTIONS(233),
    [sym_null_character] = ACTIONS(233),
  },
  [45] = {
    [ts_builtin_sym_end] = ACTIONS(237),
    [sym_disjunction_delimiter] = ACTIONS(237),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(237),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(237),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(237),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_BSLASH] = ACTIONS(239),
    [anon_sym_BSLASHk_LT] = ACTIONS(237),
    [sym_group_begin] = ACTIONS(237),
    [sym_group_end] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [anon_sym_BSLASHb] = ACTIONS(237),
    [aux_sym_character_class_escape_token1] = ACTIONS(237),
    [aux_sym_character_class_escape_token2] = ACTIONS(237),
    [anon_sym_BSLASHu] = ACTIONS(239),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(237),
    [anon_sym_BSLASHx] = ACTIONS(237),
    [anon_sym_BSLASHc] = ACTIONS(237),
    [sym_special_escape] = ACTIONS(237),
    [sym_end_assertion] = ACTIONS(237),
    [sym_non_boundary_assertion] = ACTIONS(237),
    [sym_any_character] = ACTIONS(237),
    [sym_non_syntax_character] = ACTIONS(237),
    [sym_null_character] = ACTIONS(237),
  },
  [46] = {
    [ts_builtin_sym_end] = ACTIONS(241),
    [sym_disjunction_delimiter] = ACTIONS(241),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(241),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(241),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(241),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_BSLASH] = ACTIONS(243),
    [anon_sym_BSLASHk_LT] = ACTIONS(241),
    [sym_group_begin] = ACTIONS(241),
    [sym_group_end] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(241),
    [anon_sym_CARET] = ACTIONS(241),
    [anon_sym_BSLASHb] = ACTIONS(241),
    [aux_sym_character_class_escape_token1] = ACTIONS(241),
    [aux_sym_character_class_escape_token2] = ACTIONS(241),
    [anon_sym_BSLASHu] = ACTIONS(243),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(241),
    [anon_sym_BSLASHx] = ACTIONS(241),
    [anon_sym_BSLASHc] = ACTIONS(241),
    [sym_special_escape] = ACTIONS(241),
    [sym_end_assertion] = ACTIONS(241),
    [sym_non_boundary_assertion] = ACTIONS(241),
    [sym_any_character] = ACTIONS(241),
    [sym_non_syntax_character] = ACTIONS(241),
    [sym_null_character] = ACTIONS(241),
  },
  [47] = {
    [ts_builtin_sym_end] = ACTIONS(245),
    [sym_disjunction_delimiter] = ACTIONS(245),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(245),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(245),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(245),
    [anon_sym_STAR] = ACTIONS(245),
    [anon_sym_QMARK] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(247),
    [anon_sym_BSLASH] = ACTIONS(247),
    [anon_sym_BSLASHk_LT] = ACTIONS(245),
    [sym_group_begin] = ACTIONS(245),
    [sym_group_end] = ACTIONS(245),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_CARET] = ACTIONS(245),
    [anon_sym_BSLASHb] = ACTIONS(245),
    [aux_sym_character_class_escape_token1] = ACTIONS(245),
    [aux_sym_character_class_escape_token2] = ACTIONS(245),
    [anon_sym_BSLASHu] = ACTIONS(247),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(245),
    [anon_sym_BSLASHx] = ACTIONS(245),
    [anon_sym_BSLASHc] = ACTIONS(245),
    [sym_special_escape] = ACTIONS(245),
    [sym_end_assertion] = ACTIONS(245),
    [sym_non_boundary_assertion] = ACTIONS(245),
    [sym_any_character] = ACTIONS(245),
    [sym_non_syntax_character] = ACTIONS(245),
    [sym_null_character] = ACTIONS(245),
  },
  [48] = {
    [ts_builtin_sym_end] = ACTIONS(249),
    [sym_disjunction_delimiter] = ACTIONS(249),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(249),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(249),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(249),
    [anon_sym_QMARK] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_BSLASH] = ACTIONS(251),
    [anon_sym_BSLASHk_LT] = ACTIONS(249),
    [sym_group_begin] = ACTIONS(249),
    [sym_group_end] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(249),
    [anon_sym_CARET] = ACTIONS(249),
    [anon_sym_BSLASHb] = ACTIONS(249),
    [aux_sym_character_class_escape_token1] = ACTIONS(249),
    [aux_sym_character_class_escape_token2] = ACTIONS(249),
    [anon_sym_BSLASHu] = ACTIONS(251),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(249),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHc] = ACTIONS(249),
    [sym_special_escape] = ACTIONS(249),
    [sym_end_assertion] = ACTIONS(249),
    [sym_non_boundary_assertion] = ACTIONS(249),
    [sym_any_character] = ACTIONS(249),
    [sym_non_syntax_character] = ACTIONS(249),
    [sym_null_character] = ACTIONS(249),
  },
  [49] = {
    [ts_builtin_sym_end] = ACTIONS(253),
    [sym_disjunction_delimiter] = ACTIONS(253),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(253),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(253),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_BSLASH] = ACTIONS(255),
    [anon_sym_BSLASHk_LT] = ACTIONS(253),
    [sym_group_begin] = ACTIONS(253),
    [sym_group_end] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_CARET] = ACTIONS(253),
    [anon_sym_BSLASHb] = ACTIONS(253),
    [aux_sym_character_class_escape_token1] = ACTIONS(253),
    [aux_sym_character_class_escape_token2] = ACTIONS(253),
    [anon_sym_BSLASHu] = ACTIONS(255),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(253),
    [anon_sym_BSLASHx] = ACTIONS(253),
    [anon_sym_BSLASHc] = ACTIONS(253),
    [sym_special_escape] = ACTIONS(253),
    [sym_end_assertion] = ACTIONS(253),
    [sym_non_boundary_assertion] = ACTIONS(253),
    [sym_any_character] = ACTIONS(253),
    [sym_non_syntax_character] = ACTIONS(253),
    [sym_null_character] = ACTIONS(253),
  },
  [50] = {
    [ts_builtin_sym_end] = ACTIONS(257),
    [sym_disjunction_delimiter] = ACTIONS(257),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(257),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(257),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(257),
    [anon_sym_STAR] = ACTIONS(257),
    [anon_sym_QMARK] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_LBRACE] = ACTIONS(259),
    [anon_sym_BSLASH] = ACTIONS(259),
    [anon_sym_BSLASHk_LT] = ACTIONS(257),
    [sym_group_begin] = ACTIONS(257),
    [sym_group_end] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(257),
    [anon_sym_CARET] = ACTIONS(257),
    [anon_sym_BSLASHb] = ACTIONS(257),
    [aux_sym_character_class_escape_token1] = ACTIONS(257),
    [aux_sym_character_class_escape_token2] = ACTIONS(257),
    [anon_sym_BSLASHu] = ACTIONS(259),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(257),
    [anon_sym_BSLASHx] = ACTIONS(257),
    [anon_sym_BSLASHc] = ACTIONS(257),
    [sym_special_escape] = ACTIONS(257),
    [sym_end_assertion] = ACTIONS(257),
    [sym_non_boundary_assertion] = ACTIONS(257),
    [sym_any_character] = ACTIONS(257),
    [sym_non_syntax_character] = ACTIONS(257),
    [sym_null_character] = ACTIONS(257),
  },
  [51] = {
    [ts_builtin_sym_end] = ACTIONS(261),
    [sym_disjunction_delimiter] = ACTIONS(261),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(261),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(261),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(261),
    [anon_sym_STAR] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_BSLASH] = ACTIONS(263),
    [anon_sym_BSLASHk_LT] = ACTIONS(261),
    [sym_group_begin] = ACTIONS(261),
    [sym_group_end] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_CARET] = ACTIONS(261),
    [anon_sym_BSLASHb] = ACTIONS(261),
    [aux_sym_character_class_escape_token1] = ACTIONS(261),
    [aux_sym_character_class_escape_token2] = ACTIONS(261),
    [anon_sym_BSLASHu] = ACTIONS(263),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(261),
    [anon_sym_BSLASHx] = ACTIONS(261),
    [anon_sym_BSLASHc] = ACTIONS(261),
    [sym_special_escape] = ACTIONS(261),
    [sym_end_assertion] = ACTIONS(261),
    [sym_non_boundary_assertion] = ACTIONS(261),
    [sym_any_character] = ACTIONS(261),
    [sym_non_syntax_character] = ACTIONS(261),
    [sym_null_character] = ACTIONS(261),
  },
  [52] = {
    [ts_builtin_sym_end] = ACTIONS(265),
    [sym_disjunction_delimiter] = ACTIONS(265),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(265),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(265),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(265),
    [anon_sym_QMARK] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(267),
    [anon_sym_BSLASH] = ACTIONS(267),
    [anon_sym_BSLASHk_LT] = ACTIONS(265),
    [sym_group_begin] = ACTIONS(265),
    [sym_group_end] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(265),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_BSLASHb] = ACTIONS(265),
    [aux_sym_character_class_escape_token1] = ACTIONS(265),
    [aux_sym_character_class_escape_token2] = ACTIONS(265),
    [anon_sym_BSLASHu] = ACTIONS(267),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(265),
    [anon_sym_BSLASHx] = ACTIONS(265),
    [anon_sym_BSLASHc] = ACTIONS(265),
    [sym_special_escape] = ACTIONS(265),
    [sym_end_assertion] = ACTIONS(265),
    [sym_non_boundary_assertion] = ACTIONS(265),
    [sym_any_character] = ACTIONS(265),
    [sym_non_syntax_character] = ACTIONS(265),
    [sym_null_character] = ACTIONS(265),
  },
  [53] = {
    [ts_builtin_sym_end] = ACTIONS(269),
    [sym_disjunction_delimiter] = ACTIONS(269),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(269),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(269),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(269),
    [anon_sym_STAR] = ACTIONS(269),
    [anon_sym_QMARK] = ACTIONS(269),
    [anon_sym_PLUS] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(271),
    [anon_sym_BSLASH] = ACTIONS(271),
    [anon_sym_BSLASHk_LT] = ACTIONS(269),
    [sym_group_begin] = ACTIONS(269),
    [sym_group_end] = ACTIONS(269),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_CARET] = ACTIONS(269),
    [anon_sym_BSLASHb] = ACTIONS(269),
    [aux_sym_character_class_escape_token1] = ACTIONS(269),
    [aux_sym_character_class_escape_token2] = ACTIONS(269),
    [anon_sym_BSLASHu] = ACTIONS(271),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(269),
    [anon_sym_BSLASHx] = ACTIONS(269),
    [anon_sym_BSLASHc] = ACTIONS(269),
    [sym_special_escape] = ACTIONS(269),
    [sym_end_assertion] = ACTIONS(269),
    [sym_non_boundary_assertion] = ACTIONS(269),
    [sym_any_character] = ACTIONS(269),
    [sym_non_syntax_character] = ACTIONS(269),
    [sym_null_character] = ACTIONS(269),
  },
  [54] = {
    [ts_builtin_sym_end] = ACTIONS(273),
    [sym_disjunction_delimiter] = ACTIONS(273),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(273),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(273),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(275),
    [anon_sym_BSLASH] = ACTIONS(275),
    [anon_sym_BSLASHk_LT] = ACTIONS(273),
    [sym_group_begin] = ACTIONS(273),
    [sym_group_end] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_BSLASHb] = ACTIONS(273),
    [aux_sym_character_class_escape_token1] = ACTIONS(273),
    [aux_sym_character_class_escape_token2] = ACTIONS(273),
    [anon_sym_BSLASHu] = ACTIONS(275),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(273),
    [anon_sym_BSLASHx] = ACTIONS(273),
    [anon_sym_BSLASHc] = ACTIONS(273),
    [sym_special_escape] = ACTIONS(273),
    [sym_end_assertion] = ACTIONS(273),
    [sym_non_boundary_assertion] = ACTIONS(273),
    [sym_any_character] = ACTIONS(273),
    [sym_non_syntax_character] = ACTIONS(273),
    [sym_null_character] = ACTIONS(273),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(277),
    [sym_disjunction_delimiter] = ACTIONS(277),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(277),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(277),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(279),
    [anon_sym_BSLASH] = ACTIONS(279),
    [anon_sym_BSLASHk_LT] = ACTIONS(277),
    [sym_group_begin] = ACTIONS(277),
    [sym_group_end] = ACTIONS(277),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_BSLASHb] = ACTIONS(277),
    [aux_sym_character_class_escape_token1] = ACTIONS(277),
    [aux_sym_character_class_escape_token2] = ACTIONS(277),
    [anon_sym_BSLASHu] = ACTIONS(279),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(277),
    [anon_sym_BSLASHx] = ACTIONS(277),
    [anon_sym_BSLASHc] = ACTIONS(277),
    [sym_special_escape] = ACTIONS(277),
    [sym_end_assertion] = ACTIONS(277),
    [sym_non_boundary_assertion] = ACTIONS(277),
    [sym_any_character] = ACTIONS(277),
    [sym_non_syntax_character] = ACTIONS(277),
    [sym_null_character] = ACTIONS(277),
  },
  [56] = {
    [ts_builtin_sym_end] = ACTIONS(281),
    [sym_disjunction_delimiter] = ACTIONS(281),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(281),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(281),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(281),
    [anon_sym_QMARK] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_BSLASH] = ACTIONS(283),
    [anon_sym_BSLASHk_LT] = ACTIONS(281),
    [sym_group_begin] = ACTIONS(281),
    [sym_group_end] = ACTIONS(281),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_CARET] = ACTIONS(281),
    [anon_sym_BSLASHb] = ACTIONS(281),
    [aux_sym_character_class_escape_token1] = ACTIONS(281),
    [aux_sym_character_class_escape_token2] = ACTIONS(281),
    [anon_sym_BSLASHu] = ACTIONS(283),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(281),
    [anon_sym_BSLASHx] = ACTIONS(281),
    [anon_sym_BSLASHc] = ACTIONS(281),
    [sym_special_escape] = ACTIONS(281),
    [sym_end_assertion] = ACTIONS(281),
    [sym_non_boundary_assertion] = ACTIONS(281),
    [sym_any_character] = ACTIONS(281),
    [sym_non_syntax_character] = ACTIONS(281),
    [sym_null_character] = ACTIONS(281),
  },
  [57] = {
    [ts_builtin_sym_end] = ACTIONS(285),
    [sym_disjunction_delimiter] = ACTIONS(285),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(285),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(285),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(285),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_QMARK] = ACTIONS(285),
    [anon_sym_PLUS] = ACTIONS(285),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_BSLASH] = ACTIONS(287),
    [anon_sym_BSLASHk_LT] = ACTIONS(285),
    [sym_group_begin] = ACTIONS(285),
    [sym_group_end] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_BSLASHb] = ACTIONS(285),
    [aux_sym_character_class_escape_token1] = ACTIONS(285),
    [aux_sym_character_class_escape_token2] = ACTIONS(285),
    [anon_sym_BSLASHu] = ACTIONS(287),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(285),
    [anon_sym_BSLASHx] = ACTIONS(285),
    [anon_sym_BSLASHc] = ACTIONS(285),
    [sym_special_escape] = ACTIONS(285),
    [sym_end_assertion] = ACTIONS(285),
    [sym_non_boundary_assertion] = ACTIONS(285),
    [sym_any_character] = ACTIONS(285),
    [sym_non_syntax_character] = ACTIONS(285),
    [sym_null_character] = ACTIONS(285),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(289),
    [sym_disjunction_delimiter] = ACTIONS(289),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(289),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(289),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_BSLASH] = ACTIONS(291),
    [anon_sym_BSLASHk_LT] = ACTIONS(289),
    [sym_group_begin] = ACTIONS(289),
    [sym_group_end] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_BSLASHb] = ACTIONS(289),
    [aux_sym_character_class_escape_token1] = ACTIONS(289),
    [aux_sym_character_class_escape_token2] = ACTIONS(289),
    [anon_sym_BSLASHu] = ACTIONS(291),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(289),
    [anon_sym_BSLASHx] = ACTIONS(289),
    [anon_sym_BSLASHc] = ACTIONS(289),
    [sym_special_escape] = ACTIONS(289),
    [sym_end_assertion] = ACTIONS(289),
    [sym_non_boundary_assertion] = ACTIONS(289),
    [sym_any_character] = ACTIONS(289),
    [sym_non_syntax_character] = ACTIONS(289),
    [sym_null_character] = ACTIONS(289),
  },
  [59] = {
    [ts_builtin_sym_end] = ACTIONS(293),
    [sym_disjunction_delimiter] = ACTIONS(293),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(293),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(293),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(293),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(295),
    [anon_sym_BSLASH] = ACTIONS(295),
    [anon_sym_BSLASHk_LT] = ACTIONS(293),
    [sym_group_begin] = ACTIONS(293),
    [sym_group_end] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_BSLASHb] = ACTIONS(293),
    [aux_sym_character_class_escape_token1] = ACTIONS(293),
    [aux_sym_character_class_escape_token2] = ACTIONS(293),
    [anon_sym_BSLASHu] = ACTIONS(295),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(293),
    [anon_sym_BSLASHx] = ACTIONS(293),
    [anon_sym_BSLASHc] = ACTIONS(293),
    [sym_special_escape] = ACTIONS(293),
    [sym_end_assertion] = ACTIONS(293),
    [sym_non_boundary_assertion] = ACTIONS(293),
    [sym_any_character] = ACTIONS(293),
    [sym_non_syntax_character] = ACTIONS(293),
    [sym_null_character] = ACTIONS(293),
  },
  [60] = {
    [ts_builtin_sym_end] = ACTIONS(297),
    [sym_disjunction_delimiter] = ACTIONS(297),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(297),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(297),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(297),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_QMARK] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(297),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_BSLASH] = ACTIONS(299),
    [anon_sym_BSLASHk_LT] = ACTIONS(297),
    [sym_group_begin] = ACTIONS(297),
    [sym_group_end] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_CARET] = ACTIONS(297),
    [anon_sym_BSLASHb] = ACTIONS(297),
    [aux_sym_character_class_escape_token1] = ACTIONS(297),
    [aux_sym_character_class_escape_token2] = ACTIONS(297),
    [anon_sym_BSLASHu] = ACTIONS(299),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(297),
    [anon_sym_BSLASHx] = ACTIONS(297),
    [anon_sym_BSLASHc] = ACTIONS(297),
    [sym_special_escape] = ACTIONS(297),
    [sym_end_assertion] = ACTIONS(297),
    [sym_non_boundary_assertion] = ACTIONS(297),
    [sym_any_character] = ACTIONS(297),
    [sym_non_syntax_character] = ACTIONS(297),
    [sym_null_character] = ACTIONS(297),
  },
  [61] = {
    [ts_builtin_sym_end] = ACTIONS(301),
    [sym_disjunction_delimiter] = ACTIONS(301),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(301),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(301),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(301),
    [anon_sym_STAR] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(301),
    [anon_sym_PLUS] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_BSLASH] = ACTIONS(303),
    [anon_sym_BSLASHk_LT] = ACTIONS(301),
    [sym_group_begin] = ACTIONS(301),
    [sym_group_end] = ACTIONS(301),
    [anon_sym_LBRACK] = ACTIONS(301),
    [anon_sym_CARET] = ACTIONS(301),
    [anon_sym_BSLASHb] = ACTIONS(301),
    [aux_sym_character_class_escape_token1] = ACTIONS(301),
    [aux_sym_character_class_escape_token2] = ACTIONS(301),
    [anon_sym_BSLASHu] = ACTIONS(303),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(301),
    [anon_sym_BSLASHx] = ACTIONS(301),
    [anon_sym_BSLASHc] = ACTIONS(301),
    [sym_special_escape] = ACTIONS(301),
    [sym_end_assertion] = ACTIONS(301),
    [sym_non_boundary_assertion] = ACTIONS(301),
    [sym_any_character] = ACTIONS(301),
    [sym_non_syntax_character] = ACTIONS(301),
    [sym_null_character] = ACTIONS(301),
  },
  [62] = {
    [ts_builtin_sym_end] = ACTIONS(305),
    [sym_disjunction_delimiter] = ACTIONS(305),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(305),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(305),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(305),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_QMARK] = ACTIONS(305),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_LBRACE] = ACTIONS(307),
    [anon_sym_BSLASH] = ACTIONS(307),
    [anon_sym_BSLASHk_LT] = ACTIONS(305),
    [sym_group_begin] = ACTIONS(305),
    [sym_group_end] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_BSLASHb] = ACTIONS(305),
    [aux_sym_character_class_escape_token1] = ACTIONS(305),
    [aux_sym_character_class_escape_token2] = ACTIONS(305),
    [anon_sym_BSLASHu] = ACTIONS(307),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(305),
    [anon_sym_BSLASHx] = ACTIONS(305),
    [anon_sym_BSLASHc] = ACTIONS(305),
    [sym_special_escape] = ACTIONS(305),
    [sym_end_assertion] = ACTIONS(305),
    [sym_non_boundary_assertion] = ACTIONS(305),
    [sym_any_character] = ACTIONS(305),
    [sym_non_syntax_character] = ACTIONS(305),
    [sym_null_character] = ACTIONS(305),
  },
  [63] = {
    [ts_builtin_sym_end] = ACTIONS(309),
    [sym_disjunction_delimiter] = ACTIONS(309),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(309),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(309),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(309),
    [anon_sym_STAR] = ACTIONS(309),
    [anon_sym_QMARK] = ACTIONS(309),
    [anon_sym_PLUS] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_BSLASH] = ACTIONS(311),
    [anon_sym_BSLASHk_LT] = ACTIONS(309),
    [sym_group_begin] = ACTIONS(309),
    [sym_group_end] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_CARET] = ACTIONS(309),
    [anon_sym_BSLASHb] = ACTIONS(309),
    [aux_sym_character_class_escape_token1] = ACTIONS(309),
    [aux_sym_character_class_escape_token2] = ACTIONS(309),
    [anon_sym_BSLASHu] = ACTIONS(311),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(309),
    [anon_sym_BSLASHx] = ACTIONS(309),
    [anon_sym_BSLASHc] = ACTIONS(309),
    [sym_special_escape] = ACTIONS(309),
    [sym_end_assertion] = ACTIONS(309),
    [sym_non_boundary_assertion] = ACTIONS(309),
    [sym_any_character] = ACTIONS(309),
    [sym_non_syntax_character] = ACTIONS(309),
    [sym_null_character] = ACTIONS(309),
  },
  [64] = {
    [ts_builtin_sym_end] = ACTIONS(313),
    [sym_disjunction_delimiter] = ACTIONS(313),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(313),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(313),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(313),
    [anon_sym_STAR] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_BSLASH] = ACTIONS(315),
    [anon_sym_BSLASHk_LT] = ACTIONS(313),
    [sym_group_begin] = ACTIONS(313),
    [sym_group_end] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_CARET] = ACTIONS(313),
    [anon_sym_BSLASHb] = ACTIONS(313),
    [aux_sym_character_class_escape_token1] = ACTIONS(313),
    [aux_sym_character_class_escape_token2] = ACTIONS(313),
    [anon_sym_BSLASHu] = ACTIONS(315),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(313),
    [anon_sym_BSLASHx] = ACTIONS(313),
    [anon_sym_BSLASHc] = ACTIONS(313),
    [sym_special_escape] = ACTIONS(313),
    [sym_end_assertion] = ACTIONS(313),
    [sym_non_boundary_assertion] = ACTIONS(313),
    [sym_any_character] = ACTIONS(313),
    [sym_non_syntax_character] = ACTIONS(313),
    [sym_null_character] = ACTIONS(313),
  },
  [65] = {
    [ts_builtin_sym_end] = ACTIONS(317),
    [sym_disjunction_delimiter] = ACTIONS(317),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(317),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(317),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(317),
    [anon_sym_STAR] = ACTIONS(317),
    [anon_sym_QMARK] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_BSLASH] = ACTIONS(319),
    [anon_sym_BSLASHk_LT] = ACTIONS(317),
    [sym_group_begin] = ACTIONS(317),
    [sym_group_end] = ACTIONS(317),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_CARET] = ACTIONS(317),
    [anon_sym_BSLASHb] = ACTIONS(317),
    [aux_sym_character_class_escape_token1] = ACTIONS(317),
    [aux_sym_character_class_escape_token2] = ACTIONS(317),
    [anon_sym_BSLASHu] = ACTIONS(319),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(317),
    [anon_sym_BSLASHx] = ACTIONS(317),
    [anon_sym_BSLASHc] = ACTIONS(317),
    [sym_special_escape] = ACTIONS(317),
    [sym_end_assertion] = ACTIONS(317),
    [sym_non_boundary_assertion] = ACTIONS(317),
    [sym_any_character] = ACTIONS(317),
    [sym_non_syntax_character] = ACTIONS(317),
    [sym_null_character] = ACTIONS(317),
  },
  [66] = {
    [ts_builtin_sym_end] = ACTIONS(321),
    [sym_disjunction_delimiter] = ACTIONS(321),
    [aux_sym__invalid_quantifier_token1] = ACTIONS(321),
    [aux_sym__invalid_quantifier_token2] = ACTIONS(321),
    [aux_sym__invalid_quantifier_token3] = ACTIONS(321),
    [anon_sym_STAR] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_PLUS] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(323),
    [anon_sym_BSLASH] = ACTIONS(323),
    [anon_sym_BSLASHk_LT] = ACTIONS(321),
    [sym_group_begin] = ACTIONS(321),
    [sym_group_end] = ACTIONS(321),
    [anon_sym_LBRACK] = ACTIONS(321),
    [anon_sym_CARET] = ACTIONS(321),
    [anon_sym_BSLASHb] = ACTIONS(321),
    [aux_sym_character_class_escape_token1] = ACTIONS(321),
    [aux_sym_character_class_escape_token2] = ACTIONS(321),
    [anon_sym_BSLASHu] = ACTIONS(323),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(321),
    [anon_sym_BSLASHx] = ACTIONS(321),
    [anon_sym_BSLASHc] = ACTIONS(321),
    [sym_special_escape] = ACTIONS(321),
    [sym_end_assertion] = ACTIONS(321),
    [sym_non_boundary_assertion] = ACTIONS(321),
    [sym_any_character] = ACTIONS(321),
    [sym_non_syntax_character] = ACTIONS(321),
    [sym_null_character] = ACTIONS(321),
  },
  [67] = {
    [ts_builtin_sym_end] = ACTIONS(325),
    [sym_disjunction_delimiter] = ACTIONS(325),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(327),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_BSLASH] = ACTIONS(327),
    [anon_sym_BSLASHk_LT] = ACTIONS(325),
    [sym_group_begin] = ACTIONS(325),
    [sym_group_end] = ACTIONS(325),
    [anon_sym_LBRACK] = ACTIONS(325),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_BSLASHb] = ACTIONS(325),
    [aux_sym_character_class_escape_token1] = ACTIONS(325),
    [aux_sym_character_class_escape_token2] = ACTIONS(325),
    [anon_sym_BSLASHu] = ACTIONS(327),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(325),
    [anon_sym_BSLASHx] = ACTIONS(325),
    [anon_sym_BSLASHc] = ACTIONS(325),
    [sym_special_escape] = ACTIONS(325),
    [sym_end_assertion] = ACTIONS(325),
    [sym_non_boundary_assertion] = ACTIONS(325),
    [sym_any_character] = ACTIONS(325),
    [sym_non_syntax_character] = ACTIONS(325),
    [sym_null_character] = ACTIONS(325),
  },
  [68] = {
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym_disjunction_delimiter] = ACTIONS(331),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(333),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_BSLASH] = ACTIONS(333),
    [anon_sym_BSLASHk_LT] = ACTIONS(331),
    [sym_group_begin] = ACTIONS(331),
    [sym_group_end] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(331),
    [anon_sym_CARET] = ACTIONS(331),
    [anon_sym_BSLASHb] = ACTIONS(331),
    [aux_sym_character_class_escape_token1] = ACTIONS(331),
    [aux_sym_character_class_escape_token2] = ACTIONS(331),
    [anon_sym_BSLASHu] = ACTIONS(333),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(331),
    [anon_sym_BSLASHx] = ACTIONS(331),
    [anon_sym_BSLASHc] = ACTIONS(331),
    [sym_special_escape] = ACTIONS(331),
    [sym_end_assertion] = ACTIONS(331),
    [sym_non_boundary_assertion] = ACTIONS(331),
    [sym_any_character] = ACTIONS(331),
    [sym_non_syntax_character] = ACTIONS(331),
    [sym_null_character] = ACTIONS(331),
  },
  [69] = {
    [ts_builtin_sym_end] = ACTIONS(337),
    [sym_disjunction_delimiter] = ACTIONS(337),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(339),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(337),
    [anon_sym_QMARK] = ACTIONS(341),
    [anon_sym_BSLASH] = ACTIONS(339),
    [anon_sym_BSLASHk_LT] = ACTIONS(337),
    [sym_group_begin] = ACTIONS(337),
    [sym_group_end] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(337),
    [anon_sym_CARET] = ACTIONS(337),
    [anon_sym_BSLASHb] = ACTIONS(337),
    [aux_sym_character_class_escape_token1] = ACTIONS(337),
    [aux_sym_character_class_escape_token2] = ACTIONS(337),
    [anon_sym_BSLASHu] = ACTIONS(339),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(337),
    [anon_sym_BSLASHx] = ACTIONS(337),
    [anon_sym_BSLASHc] = ACTIONS(337),
    [sym_special_escape] = ACTIONS(337),
    [sym_end_assertion] = ACTIONS(337),
    [sym_non_boundary_assertion] = ACTIONS(337),
    [sym_any_character] = ACTIONS(337),
    [sym_non_syntax_character] = ACTIONS(337),
    [sym_null_character] = ACTIONS(337),
  },
  [70] = {
    [ts_builtin_sym_end] = ACTIONS(343),
    [sym_disjunction_delimiter] = ACTIONS(343),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(345),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(343),
    [anon_sym_QMARK] = ACTIONS(347),
    [anon_sym_BSLASH] = ACTIONS(345),
    [anon_sym_BSLASHk_LT] = ACTIONS(343),
    [sym_group_begin] = ACTIONS(343),
    [sym_group_end] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_CARET] = ACTIONS(343),
    [anon_sym_BSLASHb] = ACTIONS(343),
    [aux_sym_character_class_escape_token1] = ACTIONS(343),
    [aux_sym_character_class_escape_token2] = ACTIONS(343),
    [anon_sym_BSLASHu] = ACTIONS(345),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(343),
    [anon_sym_BSLASHx] = ACTIONS(343),
    [anon_sym_BSLASHc] = ACTIONS(343),
    [sym_special_escape] = ACTIONS(343),
    [sym_end_assertion] = ACTIONS(343),
    [sym_non_boundary_assertion] = ACTIONS(343),
    [sym_any_character] = ACTIONS(343),
    [sym_non_syntax_character] = ACTIONS(343),
    [sym_null_character] = ACTIONS(343),
  },
  [71] = {
    [ts_builtin_sym_end] = ACTIONS(349),
    [sym_disjunction_delimiter] = ACTIONS(349),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(351),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(353),
    [anon_sym_BSLASH] = ACTIONS(351),
    [anon_sym_BSLASHk_LT] = ACTIONS(349),
    [sym_group_begin] = ACTIONS(349),
    [sym_group_end] = ACTIONS(349),
    [anon_sym_LBRACK] = ACTIONS(349),
    [anon_sym_CARET] = ACTIONS(349),
    [anon_sym_BSLASHb] = ACTIONS(349),
    [aux_sym_character_class_escape_token1] = ACTIONS(349),
    [aux_sym_character_class_escape_token2] = ACTIONS(349),
    [anon_sym_BSLASHu] = ACTIONS(351),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(349),
    [anon_sym_BSLASHx] = ACTIONS(349),
    [anon_sym_BSLASHc] = ACTIONS(349),
    [sym_special_escape] = ACTIONS(349),
    [sym_end_assertion] = ACTIONS(349),
    [sym_non_boundary_assertion] = ACTIONS(349),
    [sym_any_character] = ACTIONS(349),
    [sym_non_syntax_character] = ACTIONS(349),
    [sym_null_character] = ACTIONS(349),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(355),
    [sym_disjunction_delimiter] = ACTIONS(355),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(357),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(355),
    [anon_sym_QMARK] = ACTIONS(359),
    [anon_sym_BSLASH] = ACTIONS(357),
    [anon_sym_BSLASHk_LT] = ACTIONS(355),
    [sym_group_begin] = ACTIONS(355),
    [sym_group_end] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(355),
    [anon_sym_CARET] = ACTIONS(355),
    [anon_sym_BSLASHb] = ACTIONS(355),
    [aux_sym_character_class_escape_token1] = ACTIONS(355),
    [aux_sym_character_class_escape_token2] = ACTIONS(355),
    [anon_sym_BSLASHu] = ACTIONS(357),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(355),
    [anon_sym_BSLASHx] = ACTIONS(355),
    [anon_sym_BSLASHc] = ACTIONS(355),
    [sym_special_escape] = ACTIONS(355),
    [sym_end_assertion] = ACTIONS(355),
    [sym_non_boundary_assertion] = ACTIONS(355),
    [sym_any_character] = ACTIONS(355),
    [sym_non_syntax_character] = ACTIONS(355),
    [sym_null_character] = ACTIONS(355),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(55),
    [sym_disjunction_delimiter] = ACTIONS(55),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(151),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(151),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_BSLASHk_LT] = ACTIONS(55),
    [sym_group_begin] = ACTIONS(55),
    [sym_group_end] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [aux_sym_character_class_escape_token1] = ACTIONS(55),
    [aux_sym_character_class_escape_token2] = ACTIONS(55),
    [anon_sym_BSLASHu] = ACTIONS(155),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHc] = ACTIONS(55),
    [sym_special_escape] = ACTIONS(55),
    [sym_end_assertion] = ACTIONS(55),
    [sym_non_boundary_assertion] = ACTIONS(55),
    [sym_any_character] = ACTIONS(55),
    [sym_non_syntax_character] = ACTIONS(55),
    [sym_null_character] = ACTIONS(55),
  },
  [74] = {
    [ts_builtin_sym_end] = ACTIONS(167),
    [sym_disjunction_delimiter] = ACTIONS(167),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(169),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(169),
    [anon_sym_BSLASH] = ACTIONS(171),
    [anon_sym_BSLASHk_LT] = ACTIONS(167),
    [sym_group_begin] = ACTIONS(167),
    [sym_group_end] = ACTIONS(167),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_CARET] = ACTIONS(167),
    [anon_sym_BSLASHb] = ACTIONS(167),
    [aux_sym_character_class_escape_token1] = ACTIONS(167),
    [aux_sym_character_class_escape_token2] = ACTIONS(167),
    [anon_sym_BSLASHu] = ACTIONS(171),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(167),
    [anon_sym_BSLASHx] = ACTIONS(167),
    [anon_sym_BSLASHc] = ACTIONS(167),
    [sym_special_escape] = ACTIONS(167),
    [sym_end_assertion] = ACTIONS(167),
    [sym_non_boundary_assertion] = ACTIONS(167),
    [sym_any_character] = ACTIONS(167),
    [sym_non_syntax_character] = ACTIONS(167),
    [sym_null_character] = ACTIONS(167),
  },
  [75] = {
    [ts_builtin_sym_end] = ACTIONS(361),
    [sym_disjunction_delimiter] = ACTIONS(361),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(361),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(361),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_BSLASHk_LT] = ACTIONS(361),
    [sym_group_begin] = ACTIONS(361),
    [sym_group_end] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(361),
    [anon_sym_CARET] = ACTIONS(361),
    [anon_sym_BSLASHb] = ACTIONS(361),
    [aux_sym_character_class_escape_token1] = ACTIONS(361),
    [aux_sym_character_class_escape_token2] = ACTIONS(361),
    [anon_sym_BSLASHu] = ACTIONS(363),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(361),
    [anon_sym_BSLASHx] = ACTIONS(361),
    [anon_sym_BSLASHc] = ACTIONS(361),
    [sym_special_escape] = ACTIONS(361),
    [sym_end_assertion] = ACTIONS(361),
    [sym_non_boundary_assertion] = ACTIONS(361),
    [sym_any_character] = ACTIONS(361),
    [sym_non_syntax_character] = ACTIONS(361),
    [sym_null_character] = ACTIONS(361),
  },
  [76] = {
    [ts_builtin_sym_end] = ACTIONS(365),
    [sym_disjunction_delimiter] = ACTIONS(365),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(365),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(367),
    [anon_sym_BSLASHk_LT] = ACTIONS(365),
    [sym_group_begin] = ACTIONS(365),
    [sym_group_end] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(365),
    [anon_sym_CARET] = ACTIONS(365),
    [anon_sym_BSLASHb] = ACTIONS(365),
    [aux_sym_character_class_escape_token1] = ACTIONS(365),
    [aux_sym_character_class_escape_token2] = ACTIONS(365),
    [anon_sym_BSLASHu] = ACTIONS(367),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(365),
    [anon_sym_BSLASHx] = ACTIONS(365),
    [anon_sym_BSLASHc] = ACTIONS(365),
    [sym_special_escape] = ACTIONS(365),
    [sym_end_assertion] = ACTIONS(365),
    [sym_non_boundary_assertion] = ACTIONS(365),
    [sym_any_character] = ACTIONS(365),
    [sym_non_syntax_character] = ACTIONS(365),
    [sym_null_character] = ACTIONS(365),
  },
  [77] = {
    [ts_builtin_sym_end] = ACTIONS(369),
    [sym_disjunction_delimiter] = ACTIONS(369),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(369),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(369),
    [anon_sym_BSLASH] = ACTIONS(371),
    [anon_sym_BSLASHk_LT] = ACTIONS(369),
    [sym_group_begin] = ACTIONS(369),
    [sym_group_end] = ACTIONS(369),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_CARET] = ACTIONS(369),
    [anon_sym_BSLASHb] = ACTIONS(369),
    [aux_sym_character_class_escape_token1] = ACTIONS(369),
    [aux_sym_character_class_escape_token2] = ACTIONS(369),
    [anon_sym_BSLASHu] = ACTIONS(371),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(369),
    [anon_sym_BSLASHx] = ACTIONS(369),
    [anon_sym_BSLASHc] = ACTIONS(369),
    [sym_special_escape] = ACTIONS(369),
    [sym_end_assertion] = ACTIONS(369),
    [sym_non_boundary_assertion] = ACTIONS(369),
    [sym_any_character] = ACTIONS(369),
    [sym_non_syntax_character] = ACTIONS(369),
    [sym_null_character] = ACTIONS(369),
  },
  [78] = {
    [ts_builtin_sym_end] = ACTIONS(373),
    [sym_disjunction_delimiter] = ACTIONS(373),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(375),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(375),
    [anon_sym_BSLASH] = ACTIONS(377),
    [anon_sym_BSLASHk_LT] = ACTIONS(373),
    [sym_group_begin] = ACTIONS(373),
    [sym_group_end] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(373),
    [anon_sym_CARET] = ACTIONS(373),
    [anon_sym_BSLASHb] = ACTIONS(373),
    [aux_sym_character_class_escape_token1] = ACTIONS(373),
    [aux_sym_character_class_escape_token2] = ACTIONS(373),
    [anon_sym_BSLASHu] = ACTIONS(377),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(373),
    [anon_sym_BSLASHx] = ACTIONS(373),
    [anon_sym_BSLASHc] = ACTIONS(373),
    [sym_special_escape] = ACTIONS(373),
    [sym_end_assertion] = ACTIONS(373),
    [sym_non_boundary_assertion] = ACTIONS(373),
    [sym_any_character] = ACTIONS(373),
    [sym_non_syntax_character] = ACTIONS(373),
    [sym_null_character] = ACTIONS(373),
  },
  [79] = {
    [ts_builtin_sym_end] = ACTIONS(379),
    [sym_disjunction_delimiter] = ACTIONS(379),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(379),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(379),
    [anon_sym_BSLASH] = ACTIONS(381),
    [anon_sym_BSLASHk_LT] = ACTIONS(379),
    [sym_group_begin] = ACTIONS(379),
    [sym_group_end] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_BSLASHb] = ACTIONS(379),
    [aux_sym_character_class_escape_token1] = ACTIONS(379),
    [aux_sym_character_class_escape_token2] = ACTIONS(379),
    [anon_sym_BSLASHu] = ACTIONS(381),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(379),
    [anon_sym_BSLASHx] = ACTIONS(379),
    [anon_sym_BSLASHc] = ACTIONS(379),
    [sym_special_escape] = ACTIONS(379),
    [sym_end_assertion] = ACTIONS(379),
    [sym_non_boundary_assertion] = ACTIONS(379),
    [sym_any_character] = ACTIONS(379),
    [sym_non_syntax_character] = ACTIONS(379),
    [sym_null_character] = ACTIONS(379),
  },
  [80] = {
    [ts_builtin_sym_end] = ACTIONS(159),
    [sym_disjunction_delimiter] = ACTIONS(159),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(161),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(161),
    [anon_sym_BSLASH] = ACTIONS(165),
    [anon_sym_BSLASHk_LT] = ACTIONS(159),
    [sym_group_begin] = ACTIONS(159),
    [sym_group_end] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_BSLASHb] = ACTIONS(159),
    [aux_sym_character_class_escape_token1] = ACTIONS(159),
    [aux_sym_character_class_escape_token2] = ACTIONS(159),
    [anon_sym_BSLASHu] = ACTIONS(165),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(159),
    [anon_sym_BSLASHx] = ACTIONS(159),
    [anon_sym_BSLASHc] = ACTIONS(159),
    [sym_special_escape] = ACTIONS(159),
    [sym_end_assertion] = ACTIONS(159),
    [sym_non_boundary_assertion] = ACTIONS(159),
    [sym_any_character] = ACTIONS(159),
    [sym_non_syntax_character] = ACTIONS(159),
    [sym_null_character] = ACTIONS(159),
  },
  [81] = {
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_disjunction_delimiter] = ACTIONS(141),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(143),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(143),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_BSLASHk_LT] = ACTIONS(141),
    [sym_group_begin] = ACTIONS(141),
    [sym_group_end] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(141),
    [anon_sym_BSLASHb] = ACTIONS(141),
    [aux_sym_character_class_escape_token1] = ACTIONS(141),
    [aux_sym_character_class_escape_token2] = ACTIONS(141),
    [anon_sym_BSLASHu] = ACTIONS(147),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(141),
    [anon_sym_BSLASHx] = ACTIONS(141),
    [anon_sym_BSLASHc] = ACTIONS(141),
    [sym_special_escape] = ACTIONS(141),
    [sym_end_assertion] = ACTIONS(141),
    [sym_non_boundary_assertion] = ACTIONS(141),
    [sym_any_character] = ACTIONS(141),
    [sym_non_syntax_character] = ACTIONS(141),
    [sym_null_character] = ACTIONS(141),
  },
  [82] = {
    [ts_builtin_sym_end] = ACTIONS(383),
    [sym_disjunction_delimiter] = ACTIONS(383),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(383),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(383),
    [anon_sym_BSLASH] = ACTIONS(385),
    [anon_sym_BSLASHk_LT] = ACTIONS(383),
    [sym_group_begin] = ACTIONS(383),
    [sym_group_end] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_CARET] = ACTIONS(383),
    [anon_sym_BSLASHb] = ACTIONS(383),
    [aux_sym_character_class_escape_token1] = ACTIONS(383),
    [aux_sym_character_class_escape_token2] = ACTIONS(383),
    [anon_sym_BSLASHu] = ACTIONS(385),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(383),
    [anon_sym_BSLASHx] = ACTIONS(383),
    [anon_sym_BSLASHc] = ACTIONS(383),
    [sym_special_escape] = ACTIONS(383),
    [sym_end_assertion] = ACTIONS(383),
    [sym_non_boundary_assertion] = ACTIONS(383),
    [sym_any_character] = ACTIONS(383),
    [sym_non_syntax_character] = ACTIONS(383),
    [sym_null_character] = ACTIONS(383),
  },
  [83] = {
    [ts_builtin_sym_end] = ACTIONS(387),
    [sym_disjunction_delimiter] = ACTIONS(387),
    [aux_sym__invalid_secondary_quantifier_token1] = ACTIONS(387),
    [aux_sym__invalid_secondary_quantifier_token2] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(389),
    [anon_sym_BSLASHk_LT] = ACTIONS(387),
    [sym_group_begin] = ACTIONS(387),
    [sym_group_end] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_BSLASHb] = ACTIONS(387),
    [aux_sym_character_class_escape_token1] = ACTIONS(387),
    [aux_sym_character_class_escape_token2] = ACTIONS(387),
    [anon_sym_BSLASHu] = ACTIONS(389),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(387),
    [anon_sym_BSLASHx] = ACTIONS(387),
    [anon_sym_BSLASHc] = ACTIONS(387),
    [sym_special_escape] = ACTIONS(387),
    [sym_end_assertion] = ACTIONS(387),
    [sym_non_boundary_assertion] = ACTIONS(387),
    [sym_any_character] = ACTIONS(387),
    [sym_non_syntax_character] = ACTIONS(387),
    [sym_null_character] = ACTIONS(387),
  },
  [84] = {
    [sym_set_range] = STATE(91),
    [sym_set_identity_escape] = STATE(110),
    [sym_character_class_escape] = STATE(112),
    [sym_identity_escape] = STATE(110),
    [sym_unicode_escape] = STATE(122),
    [sym_hexadecimal_escape] = STATE(122),
    [sym_control_letter_escape] = STATE(122),
    [sym__escape_operator] = STATE(178),
    [aux_sym_character_set_repeat1] = STATE(91),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_CARET] = ACTIONS(393),
    [anon_sym_RBRACK] = ACTIONS(395),
    [aux_sym_set_atom_token1] = ACTIONS(397),
    [anon_sym_BSLASHb] = ACTIONS(399),
    [aux_sym_character_class_escape_token1] = ACTIONS(401),
    [aux_sym_character_class_escape_token2] = ACTIONS(403),
    [anon_sym_BSLASHu] = ACTIONS(405),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(407),
    [anon_sym_BSLASHx] = ACTIONS(409),
    [anon_sym_BSLASHc] = ACTIONS(411),
    [sym_special_escape] = ACTIONS(413),
    [sym_null_character] = ACTIONS(413),
  },
  [85] = {
    [ts_builtin_sym_end] = ACTIONS(159),
    [sym_disjunction_delimiter] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(165),
    [anon_sym_BSLASHk_LT] = ACTIONS(159),
    [sym_group_begin] = ACTIONS(159),
    [sym_group_end] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_BSLASHb] = ACTIONS(159),
    [aux_sym_character_class_escape_token1] = ACTIONS(159),
    [aux_sym_character_class_escape_token2] = ACTIONS(159),
    [anon_sym_BSLASHu] = ACTIONS(165),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(159),
    [anon_sym_BSLASHx] = ACTIONS(159),
    [anon_sym_BSLASHc] = ACTIONS(159),
    [sym_special_escape] = ACTIONS(159),
    [sym_end_assertion] = ACTIONS(159),
    [sym_non_boundary_assertion] = ACTIONS(159),
    [sym_any_character] = ACTIONS(159),
    [sym_non_syntax_character] = ACTIONS(159),
    [sym_null_character] = ACTIONS(159),
  },
  [86] = {
    [ts_builtin_sym_end] = ACTIONS(167),
    [sym_disjunction_delimiter] = ACTIONS(167),
    [anon_sym_BSLASH] = ACTIONS(171),
    [anon_sym_BSLASHk_LT] = ACTIONS(167),
    [sym_group_begin] = ACTIONS(167),
    [sym_group_end] = ACTIONS(167),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_CARET] = ACTIONS(167),
    [anon_sym_BSLASHb] = ACTIONS(167),
    [aux_sym_character_class_escape_token1] = ACTIONS(167),
    [aux_sym_character_class_escape_token2] = ACTIONS(167),
    [anon_sym_BSLASHu] = ACTIONS(171),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(167),
    [anon_sym_BSLASHx] = ACTIONS(167),
    [anon_sym_BSLASHc] = ACTIONS(167),
    [sym_special_escape] = ACTIONS(167),
    [sym_end_assertion] = ACTIONS(167),
    [sym_non_boundary_assertion] = ACTIONS(167),
    [sym_any_character] = ACTIONS(167),
    [sym_non_syntax_character] = ACTIONS(167),
    [sym_null_character] = ACTIONS(167),
  },
  [87] = {
    [sym_set_range] = STATE(92),
    [sym_set_identity_escape] = STATE(110),
    [sym_character_class_escape] = STATE(112),
    [sym_identity_escape] = STATE(110),
    [sym_unicode_escape] = STATE(122),
    [sym_hexadecimal_escape] = STATE(122),
    [sym_control_letter_escape] = STATE(122),
    [sym__escape_operator] = STATE(178),
    [aux_sym_character_set_repeat1] = STATE(92),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_RBRACK] = ACTIONS(415),
    [aux_sym_set_atom_token1] = ACTIONS(417),
    [anon_sym_BSLASHb] = ACTIONS(399),
    [aux_sym_character_class_escape_token1] = ACTIONS(401),
    [aux_sym_character_class_escape_token2] = ACTIONS(403),
    [anon_sym_BSLASHu] = ACTIONS(405),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(407),
    [anon_sym_BSLASHx] = ACTIONS(409),
    [anon_sym_BSLASHc] = ACTIONS(411),
    [sym_special_escape] = ACTIONS(413),
    [sym_null_character] = ACTIONS(413),
  },
  [88] = {
    [ts_builtin_sym_end] = ACTIONS(55),
    [sym_disjunction_delimiter] = ACTIONS(55),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_BSLASHk_LT] = ACTIONS(55),
    [sym_group_begin] = ACTIONS(55),
    [sym_group_end] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(55),
    [anon_sym_BSLASHb] = ACTIONS(55),
    [aux_sym_character_class_escape_token1] = ACTIONS(55),
    [aux_sym_character_class_escape_token2] = ACTIONS(55),
    [anon_sym_BSLASHu] = ACTIONS(155),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(55),
    [anon_sym_BSLASHx] = ACTIONS(55),
    [anon_sym_BSLASHc] = ACTIONS(55),
    [sym_special_escape] = ACTIONS(55),
    [sym_end_assertion] = ACTIONS(55),
    [sym_non_boundary_assertion] = ACTIONS(55),
    [sym_any_character] = ACTIONS(55),
    [sym_non_syntax_character] = ACTIONS(55),
    [sym_null_character] = ACTIONS(55),
  },
  [89] = {
    [ts_builtin_sym_end] = ACTIONS(419),
    [sym_disjunction_delimiter] = ACTIONS(419),
    [anon_sym_BSLASH] = ACTIONS(421),
    [anon_sym_BSLASHk_LT] = ACTIONS(419),
    [sym_group_begin] = ACTIONS(419),
    [sym_group_end] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_BSLASHb] = ACTIONS(419),
    [aux_sym_character_class_escape_token1] = ACTIONS(419),
    [aux_sym_character_class_escape_token2] = ACTIONS(419),
    [anon_sym_BSLASHu] = ACTIONS(421),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(419),
    [anon_sym_BSLASHx] = ACTIONS(419),
    [anon_sym_BSLASHc] = ACTIONS(419),
    [sym_special_escape] = ACTIONS(419),
    [sym_end_assertion] = ACTIONS(419),
    [sym_non_boundary_assertion] = ACTIONS(419),
    [sym_any_character] = ACTIONS(419),
    [sym_non_syntax_character] = ACTIONS(419),
    [sym_null_character] = ACTIONS(419),
  },
  [90] = {
    [ts_builtin_sym_end] = ACTIONS(373),
    [sym_disjunction_delimiter] = ACTIONS(373),
    [anon_sym_BSLASH] = ACTIONS(377),
    [anon_sym_BSLASHk_LT] = ACTIONS(373),
    [sym_group_begin] = ACTIONS(373),
    [sym_group_end] = ACTIONS(373),
    [anon_sym_LBRACK] = ACTIONS(373),
    [anon_sym_CARET] = ACTIONS(373),
    [anon_sym_BSLASHb] = ACTIONS(373),
    [aux_sym_character_class_escape_token1] = ACTIONS(373),
    [aux_sym_character_class_escape_token2] = ACTIONS(373),
    [anon_sym_BSLASHu] = ACTIONS(377),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(373),
    [anon_sym_BSLASHx] = ACTIONS(373),
    [anon_sym_BSLASHc] = ACTIONS(373),
    [sym_special_escape] = ACTIONS(373),
    [sym_end_assertion] = ACTIONS(373),
    [sym_non_boundary_assertion] = ACTIONS(373),
    [sym_any_character] = ACTIONS(373),
    [sym_non_syntax_character] = ACTIONS(373),
    [sym_null_character] = ACTIONS(373),
  },
  [91] = {
    [sym_set_range] = STATE(94),
    [sym_set_identity_escape] = STATE(110),
    [sym_character_class_escape] = STATE(112),
    [sym_identity_escape] = STATE(110),
    [sym_unicode_escape] = STATE(122),
    [sym_hexadecimal_escape] = STATE(122),
    [sym_control_letter_escape] = STATE(122),
    [sym__escape_operator] = STATE(178),
    [aux_sym_character_set_repeat1] = STATE(94),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_RBRACK] = ACTIONS(423),
    [aux_sym_set_atom_token1] = ACTIONS(417),
    [anon_sym_BSLASHb] = ACTIONS(399),
    [aux_sym_character_class_escape_token1] = ACTIONS(401),
    [aux_sym_character_class_escape_token2] = ACTIONS(403),
    [anon_sym_BSLASHu] = ACTIONS(405),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(407),
    [anon_sym_BSLASHx] = ACTIONS(409),
    [anon_sym_BSLASHc] = ACTIONS(411),
    [sym_special_escape] = ACTIONS(413),
    [sym_null_character] = ACTIONS(413),
  },
  [92] = {
    [sym_set_range] = STATE(94),
    [sym_set_identity_escape] = STATE(110),
    [sym_character_class_escape] = STATE(112),
    [sym_identity_escape] = STATE(110),
    [sym_unicode_escape] = STATE(122),
    [sym_hexadecimal_escape] = STATE(122),
    [sym_control_letter_escape] = STATE(122),
    [sym__escape_operator] = STATE(178),
    [aux_sym_character_set_repeat1] = STATE(94),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_RBRACK] = ACTIONS(425),
    [aux_sym_set_atom_token1] = ACTIONS(417),
    [anon_sym_BSLASHb] = ACTIONS(399),
    [aux_sym_character_class_escape_token1] = ACTIONS(401),
    [aux_sym_character_class_escape_token2] = ACTIONS(403),
    [anon_sym_BSLASHu] = ACTIONS(405),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(407),
    [anon_sym_BSLASHx] = ACTIONS(409),
    [anon_sym_BSLASHc] = ACTIONS(411),
    [sym_special_escape] = ACTIONS(413),
    [sym_null_character] = ACTIONS(413),
  },
  [93] = {
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_disjunction_delimiter] = ACTIONS(141),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_BSLASHk_LT] = ACTIONS(141),
    [sym_group_begin] = ACTIONS(141),
    [sym_group_end] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_CARET] = ACTIONS(141),
    [anon_sym_BSLASHb] = ACTIONS(141),
    [aux_sym_character_class_escape_token1] = ACTIONS(141),
    [aux_sym_character_class_escape_token2] = ACTIONS(141),
    [anon_sym_BSLASHu] = ACTIONS(147),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(141),
    [anon_sym_BSLASHx] = ACTIONS(141),
    [anon_sym_BSLASHc] = ACTIONS(141),
    [sym_special_escape] = ACTIONS(141),
    [sym_end_assertion] = ACTIONS(141),
    [sym_non_boundary_assertion] = ACTIONS(141),
    [sym_any_character] = ACTIONS(141),
    [sym_non_syntax_character] = ACTIONS(141),
    [sym_null_character] = ACTIONS(141),
  },
  [94] = {
    [sym_set_range] = STATE(94),
    [sym_set_identity_escape] = STATE(110),
    [sym_character_class_escape] = STATE(112),
    [sym_identity_escape] = STATE(110),
    [sym_unicode_escape] = STATE(122),
    [sym_hexadecimal_escape] = STATE(122),
    [sym_control_letter_escape] = STATE(122),
    [sym__escape_operator] = STATE(178),
    [aux_sym_character_set_repeat1] = STATE(94),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_RBRACK] = ACTIONS(430),
    [aux_sym_set_atom_token1] = ACTIONS(432),
    [anon_sym_BSLASHb] = ACTIONS(435),
    [aux_sym_character_class_escape_token1] = ACTIONS(438),
    [aux_sym_character_class_escape_token2] = ACTIONS(441),
    [anon_sym_BSLASHu] = ACTIONS(444),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(447),
    [anon_sym_BSLASHx] = ACTIONS(450),
    [anon_sym_BSLASHc] = ACTIONS(453),
    [sym_special_escape] = ACTIONS(456),
    [sym_null_character] = ACTIONS(456),
  },
  [95] = {
    [sym_disjunction_delimiter] = ACTIONS(459),
    [anon_sym_BSLASH] = ACTIONS(461),
    [anon_sym_BSLASHk_LT] = ACTIONS(459),
    [sym_group_begin] = ACTIONS(459),
    [sym_group_end] = ACTIONS(459),
    [anon_sym_LBRACK] = ACTIONS(459),
    [anon_sym_CARET] = ACTIONS(459),
    [anon_sym_BSLASHb] = ACTIONS(459),
    [aux_sym_character_class_escape_token1] = ACTIONS(459),
    [aux_sym_character_class_escape_token2] = ACTIONS(459),
    [anon_sym_BSLASHu] = ACTIONS(461),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(459),
    [anon_sym_BSLASHx] = ACTIONS(459),
    [anon_sym_BSLASHc] = ACTIONS(459),
    [sym_special_escape] = ACTIONS(459),
    [sym_end_assertion] = ACTIONS(459),
    [sym_non_boundary_assertion] = ACTIONS(459),
    [sym_any_character] = ACTIONS(459),
    [sym_non_syntax_character] = ACTIONS(459),
    [sym_null_character] = ACTIONS(459),
  },
  [96] = {
    [sym_set_identity_escape] = STATE(145),
    [sym_identity_escape] = STATE(145),
    [sym_unicode_escape] = STATE(146),
    [sym_hexadecimal_escape] = STATE(146),
    [sym_control_letter_escape] = STATE(146),
    [sym__escape_operator] = STATE(181),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_RBRACK] = ACTIONS(463),
    [aux_sym_set_atom_token1] = ACTIONS(465),
    [anon_sym_BSLASHb] = ACTIONS(467),
    [aux_sym_character_class_escape_token1] = ACTIONS(463),
    [aux_sym_character_class_escape_token2] = ACTIONS(463),
    [anon_sym_BSLASHu] = ACTIONS(469),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(471),
    [anon_sym_BSLASHx] = ACTIONS(473),
    [anon_sym_BSLASHc] = ACTIONS(475),
    [sym_special_escape] = ACTIONS(477),
    [sym_null_character] = ACTIONS(477),
  },
  [97] = {
    [sym_set_identity_escape] = STATE(128),
    [sym_identity_escape] = STATE(128),
    [sym_unicode_escape] = STATE(141),
    [sym_hexadecimal_escape] = STATE(141),
    [sym_control_letter_escape] = STATE(141),
    [sym__escape_operator] = STATE(181),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_RBRACK] = ACTIONS(479),
    [aux_sym_set_atom_token1] = ACTIONS(481),
    [anon_sym_BSLASHb] = ACTIONS(483),
    [aux_sym_character_class_escape_token1] = ACTIONS(479),
    [aux_sym_character_class_escape_token2] = ACTIONS(479),
    [anon_sym_BSLASHu] = ACTIONS(485),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(487),
    [anon_sym_BSLASHx] = ACTIONS(489),
    [anon_sym_BSLASHc] = ACTIONS(475),
    [sym_special_escape] = ACTIONS(491),
    [sym_null_character] = ACTIONS(491),
  },
  [98] = {
    [sym_set_identity_escape] = STATE(135),
    [sym_identity_escape] = STATE(135),
    [sym_unicode_escape] = STATE(134),
    [sym_hexadecimal_escape] = STATE(134),
    [sym_control_letter_escape] = STATE(134),
    [sym__escape_operator] = STATE(181),
    [anon_sym_BSLASH] = ACTIONS(391),
    [anon_sym_RBRACK] = ACTIONS(493),
    [aux_sym_set_atom_token1] = ACTIONS(495),
    [anon_sym_BSLASHb] = ACTIONS(497),
    [aux_sym_character_class_escape_token1] = ACTIONS(493),
    [aux_sym_character_class_escape_token2] = ACTIONS(493),
    [anon_sym_BSLASHu] = ACTIONS(499),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(501),
    [anon_sym_BSLASHx] = ACTIONS(503),
    [anon_sym_BSLASHc] = ACTIONS(475),
    [sym_special_escape] = ACTIONS(505),
    [sym_null_character] = ACTIONS(505),
  },
  [99] = {
    [anon_sym_BSLASH] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(509),
    [anon_sym_RBRACK] = ACTIONS(511),
    [aux_sym_set_atom_token1] = ACTIONS(507),
    [anon_sym_BSLASHb] = ACTIONS(511),
    [aux_sym_character_class_escape_token1] = ACTIONS(511),
    [aux_sym_character_class_escape_token2] = ACTIONS(511),
    [anon_sym_BSLASHu] = ACTIONS(507),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(511),
    [anon_sym_BSLASHx] = ACTIONS(511),
    [aux_sym_hexadecimal_escape_token1] = ACTIONS(513),
    [aux_sym__invalid__hexadecimal_escape_token1] = ACTIONS(515),
    [anon_sym_BSLASHc] = ACTIONS(511),
    [sym_special_escape] = ACTIONS(511),
    [sym_null_character] = ACTIONS(511),
  },
  [100] = {
    [anon_sym_RBRACE] = ACTIONS(517),
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_RBRACK] = ACTIONS(523),
    [aux_sym_set_atom_token1] = ACTIONS(519),
    [anon_sym_BSLASHb] = ACTIONS(523),
    [aux_sym_character_class_escape_token1] = ACTIONS(523),
    [aux_sym_character_class_escape_token2] = ACTIONS(523),
    [anon_sym_EQ] = ACTIONS(525),
    [anon_sym_BSLASHu] = ACTIONS(519),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(523),
    [anon_sym_BSLASHx] = ACTIONS(523),
    [anon_sym_BSLASHc] = ACTIONS(523),
    [sym_special_escape] = ACTIONS(523),
    [sym_null_character] = ACTIONS(523),
  },
  [101] = {
    [anon_sym_RBRACE] = ACTIONS(527),
    [anon_sym_BSLASH] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(531),
    [anon_sym_RBRACK] = ACTIONS(430),
    [aux_sym_set_atom_token1] = ACTIONS(529),
    [anon_sym_BSLASHb] = ACTIONS(430),
    [aux_sym_character_class_escape_token1] = ACTIONS(430),
    [aux_sym_character_class_escape_token2] = ACTIONS(430),
    [sym__unicode_property] = ACTIONS(533),
    [anon_sym_BSLASHu] = ACTIONS(529),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(430),
    [anon_sym_BSLASHx] = ACTIONS(430),
    [anon_sym_BSLASHc] = ACTIONS(430),
    [sym_special_escape] = ACTIONS(430),
    [sym_null_character] = ACTIONS(430),
  },
  [102] = {
    [anon_sym_RBRACE] = ACTIONS(535),
    [anon_sym_BSLASH] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_RBRACK] = ACTIONS(430),
    [aux_sym_set_atom_token1] = ACTIONS(529),
    [anon_sym_BSLASHb] = ACTIONS(430),
    [aux_sym_character_class_escape_token1] = ACTIONS(430),
    [aux_sym_character_class_escape_token2] = ACTIONS(430),
    [anon_sym_BSLASHu] = ACTIONS(529),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(430),
    [anon_sym_BSLASHx] = ACTIONS(430),
    [anon_sym_BSLASHc] = ACTIONS(430),
    [sym_special_escape] = ACTIONS(430),
    [sym_null_character] = ACTIONS(430),
  },
  [103] = {
    [anon_sym_BSLASH] = ACTIONS(539),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_RBRACK] = ACTIONS(543),
    [aux_sym_set_atom_token1] = ACTIONS(539),
    [anon_sym_BSLASHb] = ACTIONS(543),
    [aux_sym_character_class_escape_token1] = ACTIONS(543),
    [aux_sym_character_class_escape_token2] = ACTIONS(543),
    [sym__unicode_property] = ACTIONS(545),
    [anon_sym_BSLASHu] = ACTIONS(539),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(543),
    [anon_sym_BSLASHx] = ACTIONS(543),
    [anon_sym_BSLASHc] = ACTIONS(543),
    [sym_special_escape] = ACTIONS(543),
    [sym_null_character] = ACTIONS(543),
  },
  [104] = {
    [anon_sym_BSLASH] = ACTIONS(547),
    [anon_sym_RBRACK] = ACTIONS(549),
    [aux_sym_set_atom_token1] = ACTIONS(547),
    [anon_sym_BSLASHb] = ACTIONS(549),
    [aux_sym_character_class_escape_token1] = ACTIONS(549),
    [aux_sym_character_class_escape_token2] = ACTIONS(549),
    [anon_sym_BSLASHu] = ACTIONS(547),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(549),
    [anon_sym_BSLASHx] = ACTIONS(549),
    [aux_sym_hexadecimal_escape_token1] = ACTIONS(551),
    [aux_sym__invalid__hexadecimal_escape_token1] = ACTIONS(553),
    [anon_sym_BSLASHc] = ACTIONS(549),
    [sym_special_escape] = ACTIONS(549),
    [sym_null_character] = ACTIONS(549),
  },
  [105] = {
    [anon_sym_RBRACE] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_RBRACK] = ACTIONS(561),
    [aux_sym_set_atom_token1] = ACTIONS(557),
    [anon_sym_BSLASHb] = ACTIONS(561),
    [aux_sym_character_class_escape_token1] = ACTIONS(561),
    [aux_sym_character_class_escape_token2] = ACTIONS(561),
    [anon_sym_BSLASHu] = ACTIONS(557),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(561),
    [anon_sym_BSLASHx] = ACTIONS(561),
    [anon_sym_BSLASHc] = ACTIONS(561),
    [sym_special_escape] = ACTIONS(561),
    [sym_null_character] = ACTIONS(561),
  },
  [106] = {
    [anon_sym_BSLASH] = ACTIONS(563),
    [anon_sym_RBRACK] = ACTIONS(565),
    [aux_sym_set_atom_token1] = ACTIONS(563),
    [anon_sym_BSLASHb] = ACTIONS(565),
    [aux_sym_character_class_escape_token1] = ACTIONS(565),
    [aux_sym_character_class_escape_token2] = ACTIONS(565),
    [anon_sym_BSLASHu] = ACTIONS(563),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(565),
    [anon_sym_BSLASHx] = ACTIONS(565),
    [aux_sym_hexadecimal_escape_token1] = ACTIONS(551),
    [aux_sym__invalid__hexadecimal_escape_token1] = ACTIONS(567),
    [anon_sym_BSLASHc] = ACTIONS(565),
    [sym_special_escape] = ACTIONS(565),
    [sym_null_character] = ACTIONS(565),
  },
  [107] = {
    [anon_sym_BSLASH] = ACTIONS(569),
    [anon_sym_RBRACK] = ACTIONS(571),
    [aux_sym_set_atom_token1] = ACTIONS(569),
    [anon_sym_BSLASHb] = ACTIONS(571),
    [aux_sym_character_class_escape_token1] = ACTIONS(571),
    [aux_sym_character_class_escape_token2] = ACTIONS(571),
    [anon_sym_BSLASHu] = ACTIONS(569),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(571),
    [anon_sym_BSLASHx] = ACTIONS(571),
    [aux_sym_hexadecimal_escape_token1] = ACTIONS(551),
    [aux_sym__invalid__hexadecimal_escape_token1] = ACTIONS(573),
    [anon_sym_BSLASHc] = ACTIONS(571),
    [sym_special_escape] = ACTIONS(571),
    [sym_null_character] = ACTIONS(571),
  },
  [108] = {
    [anon_sym_BSLASH] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_RBRACK] = ACTIONS(273),
    [aux_sym_set_atom_token1] = ACTIONS(275),
    [anon_sym_BSLASHb] = ACTIONS(273),
    [aux_sym_character_class_escape_token1] = ACTIONS(273),
    [aux_sym_character_class_escape_token2] = ACTIONS(273),
    [anon_sym_BSLASHu] = ACTIONS(275),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(273),
    [anon_sym_BSLASHx] = ACTIONS(273),
    [anon_sym_BSLASHc] = ACTIONS(273),
    [sym_special_escape] = ACTIONS(273),
    [sym_null_character] = ACTIONS(273),
  },
  [109] = {
    [anon_sym_BSLASH] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(265),
    [anon_sym_RBRACK] = ACTIONS(265),
    [aux_sym_set_atom_token1] = ACTIONS(267),
    [anon_sym_BSLASHb] = ACTIONS(265),
    [aux_sym_character_class_escape_token1] = ACTIONS(265),
    [aux_sym_character_class_escape_token2] = ACTIONS(265),
    [anon_sym_BSLASHu] = ACTIONS(267),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(265),
    [anon_sym_BSLASHx] = ACTIONS(265),
    [anon_sym_BSLASHc] = ACTIONS(265),
    [sym_special_escape] = ACTIONS(265),
    [sym_null_character] = ACTIONS(265),
  },
  [110] = {
    [anon_sym_BSLASH] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(509),
    [anon_sym_RBRACK] = ACTIONS(511),
    [aux_sym_set_atom_token1] = ACTIONS(507),
    [anon_sym_BSLASHb] = ACTIONS(511),
    [aux_sym_character_class_escape_token1] = ACTIONS(511),
    [aux_sym_character_class_escape_token2] = ACTIONS(511),
    [anon_sym_BSLASHu] = ACTIONS(507),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(511),
    [anon_sym_BSLASHx] = ACTIONS(511),
    [anon_sym_BSLASHc] = ACTIONS(511),
    [sym_special_escape] = ACTIONS(511),
    [sym_null_character] = ACTIONS(511),
  },
  [111] = {
    [anon_sym_BSLASH] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(577),
    [anon_sym_RBRACK] = ACTIONS(579),
    [aux_sym_set_atom_token1] = ACTIONS(575),
    [anon_sym_BSLASHb] = ACTIONS(579),
    [aux_sym_character_class_escape_token1] = ACTIONS(579),
    [aux_sym_character_class_escape_token2] = ACTIONS(579),
    [anon_sym_BSLASHu] = ACTIONS(575),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(579),
    [anon_sym_BSLASHx] = ACTIONS(579),
    [anon_sym_BSLASHc] = ACTIONS(579),
    [sym_special_escape] = ACTIONS(579),
    [sym_null_character] = ACTIONS(579),
  },
  [112] = {
    [anon_sym_BSLASH] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_RBRACK] = ACTIONS(511),
    [aux_sym_set_atom_token1] = ACTIONS(507),
    [anon_sym_BSLASHb] = ACTIONS(511),
    [aux_sym_character_class_escape_token1] = ACTIONS(511),
    [aux_sym_character_class_escape_token2] = ACTIONS(511),
    [anon_sym_BSLASHu] = ACTIONS(507),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(511),
    [anon_sym_BSLASHx] = ACTIONS(511),
    [anon_sym_BSLASHc] = ACTIONS(511),
    [sym_special_escape] = ACTIONS(511),
    [sym_null_character] = ACTIONS(511),
  },
  [113] = {
    [anon_sym_RBRACE] = ACTIONS(583),
    [anon_sym_BSLASH] = ACTIONS(585),
    [anon_sym_RBRACK] = ACTIONS(587),
    [aux_sym_set_atom_token1] = ACTIONS(585),
    [anon_sym_BSLASHb] = ACTIONS(587),
    [aux_sym_character_class_escape_token1] = ACTIONS(587),
    [aux_sym_character_class_escape_token2] = ACTIONS(587),
    [anon_sym_BSLASHu] = ACTIONS(585),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(587),
    [anon_sym_BSLASHx] = ACTIONS(587),
    [anon_sym_BSLASHc] = ACTIONS(587),
    [sym_special_escape] = ACTIONS(587),
    [sym_null_character] = ACTIONS(587),
  },
  [114] = {
    [anon_sym_BSLASH] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(253),
    [anon_sym_RBRACK] = ACTIONS(253),
    [aux_sym_set_atom_token1] = ACTIONS(255),
    [anon_sym_BSLASHb] = ACTIONS(253),
    [aux_sym_character_class_escape_token1] = ACTIONS(253),
    [aux_sym_character_class_escape_token2] = ACTIONS(253),
    [anon_sym_BSLASHu] = ACTIONS(255),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(253),
    [anon_sym_BSLASHx] = ACTIONS(253),
    [anon_sym_BSLASHc] = ACTIONS(253),
    [sym_special_escape] = ACTIONS(253),
    [sym_null_character] = ACTIONS(253),
  },
  [115] = {
    [anon_sym_BSLASH] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_RBRACK] = ACTIONS(249),
    [aux_sym_set_atom_token1] = ACTIONS(251),
    [anon_sym_BSLASHb] = ACTIONS(249),
    [aux_sym_character_class_escape_token1] = ACTIONS(249),
    [aux_sym_character_class_escape_token2] = ACTIONS(249),
    [anon_sym_BSLASHu] = ACTIONS(251),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(249),
    [anon_sym_BSLASHx] = ACTIONS(249),
    [anon_sym_BSLASHc] = ACTIONS(249),
    [sym_special_escape] = ACTIONS(249),
    [sym_null_character] = ACTIONS(249),
  },
  [116] = {
    [anon_sym_BSLASH] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_RBRACK] = ACTIONS(430),
    [aux_sym_set_atom_token1] = ACTIONS(529),
    [anon_sym_BSLASHb] = ACTIONS(430),
    [aux_sym_character_class_escape_token1] = ACTIONS(430),
    [aux_sym_character_class_escape_token2] = ACTIONS(430),
    [anon_sym_BSLASHu] = ACTIONS(529),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(430),
    [anon_sym_BSLASHx] = ACTIONS(430),
    [anon_sym_BSLASHc] = ACTIONS(430),
    [sym_special_escape] = ACTIONS(430),
    [sym_null_character] = ACTIONS(430),
  },
  [117] = {
    [anon_sym_RBRACE] = ACTIONS(583),
    [anon_sym_BSLASH] = ACTIONS(589),
    [anon_sym_RBRACK] = ACTIONS(591),
    [aux_sym_set_atom_token1] = ACTIONS(589),
    [anon_sym_BSLASHb] = ACTIONS(591),
    [aux_sym_character_class_escape_token1] = ACTIONS(591),
    [aux_sym_character_class_escape_token2] = ACTIONS(591),
    [anon_sym_BSLASHu] = ACTIONS(589),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(591),
    [anon_sym_BSLASHx] = ACTIONS(591),
    [anon_sym_BSLASHc] = ACTIONS(591),
    [sym_special_escape] = ACTIONS(591),
    [sym_null_character] = ACTIONS(591),
  },
  [118] = {
    [anon_sym_BSLASH] = ACTIONS(295),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_RBRACK] = ACTIONS(293),
    [aux_sym_set_atom_token1] = ACTIONS(295),
    [anon_sym_BSLASHb] = ACTIONS(293),
    [aux_sym_character_class_escape_token1] = ACTIONS(293),
    [aux_sym_character_class_escape_token2] = ACTIONS(293),
    [anon_sym_BSLASHu] = ACTIONS(295),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(293),
    [anon_sym_BSLASHx] = ACTIONS(293),
    [anon_sym_BSLASHc] = ACTIONS(293),
    [sym_special_escape] = ACTIONS(293),
    [sym_null_character] = ACTIONS(293),
  },
  [119] = {
    [anon_sym_BSLASH] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(289),
    [aux_sym_set_atom_token1] = ACTIONS(291),
    [anon_sym_BSLASHb] = ACTIONS(289),
    [aux_sym_character_class_escape_token1] = ACTIONS(289),
    [aux_sym_character_class_escape_token2] = ACTIONS(289),
    [anon_sym_BSLASHu] = ACTIONS(291),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(289),
    [anon_sym_BSLASHx] = ACTIONS(289),
    [anon_sym_BSLASHc] = ACTIONS(289),
    [sym_special_escape] = ACTIONS(289),
    [sym_null_character] = ACTIONS(289),
  },
  [120] = {
    [anon_sym_BSLASH] = ACTIONS(287),
    [anon_sym_DASH] = ACTIONS(285),
    [anon_sym_RBRACK] = ACTIONS(285),
    [aux_sym_set_atom_token1] = ACTIONS(287),
    [anon_sym_BSLASHb] = ACTIONS(285),
    [aux_sym_character_class_escape_token1] = ACTIONS(285),
    [aux_sym_character_class_escape_token2] = ACTIONS(285),
    [anon_sym_BSLASHu] = ACTIONS(287),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(285),
    [anon_sym_BSLASHx] = ACTIONS(285),
    [anon_sym_BSLASHc] = ACTIONS(285),
    [sym_special_escape] = ACTIONS(285),
    [sym_null_character] = ACTIONS(285),
  },
  [121] = {
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_RBRACK] = ACTIONS(523),
    [aux_sym_set_atom_token1] = ACTIONS(519),
    [anon_sym_BSLASHb] = ACTIONS(523),
    [aux_sym_character_class_escape_token1] = ACTIONS(523),
    [aux_sym_character_class_escape_token2] = ACTIONS(523),
    [anon_sym_BSLASHu] = ACTIONS(519),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(523),
    [anon_sym_BSLASHx] = ACTIONS(523),
    [anon_sym_BSLASHc] = ACTIONS(523),
    [sym_special_escape] = ACTIONS(523),
    [sym_null_character] = ACTIONS(523),
  },
  [122] = {
    [anon_sym_BSLASH] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(509),
    [anon_sym_RBRACK] = ACTIONS(511),
    [aux_sym_set_atom_token1] = ACTIONS(507),
    [anon_sym_BSLASHb] = ACTIONS(511),
    [aux_sym_character_class_escape_token1] = ACTIONS(511),
    [aux_sym_character_class_escape_token2] = ACTIONS(511),
    [anon_sym_BSLASHu] = ACTIONS(507),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(511),
    [anon_sym_BSLASHx] = ACTIONS(511),
    [anon_sym_BSLASHc] = ACTIONS(511),
    [sym_special_escape] = ACTIONS(511),
    [sym_null_character] = ACTIONS(511),
  },
  [123] = {
    [anon_sym_BSLASH] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_RBRACK] = ACTIONS(277),
    [aux_sym_set_atom_token1] = ACTIONS(279),
    [anon_sym_BSLASHb] = ACTIONS(277),
    [aux_sym_character_class_escape_token1] = ACTIONS(277),
    [aux_sym_character_class_escape_token2] = ACTIONS(277),
    [anon_sym_BSLASHu] = ACTIONS(279),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(277),
    [anon_sym_BSLASHx] = ACTIONS(277),
    [anon_sym_BSLASHc] = ACTIONS(277),
    [sym_special_escape] = ACTIONS(277),
    [sym_null_character] = ACTIONS(277),
  },
  [124] = {
    [anon_sym_BSLASH] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(595),
    [anon_sym_RBRACK] = ACTIONS(595),
    [aux_sym_set_atom_token1] = ACTIONS(593),
    [anon_sym_BSLASHb] = ACTIONS(595),
    [aux_sym_character_class_escape_token1] = ACTIONS(595),
    [aux_sym_character_class_escape_token2] = ACTIONS(595),
    [anon_sym_BSLASHu] = ACTIONS(593),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(595),
    [anon_sym_BSLASHx] = ACTIONS(595),
    [anon_sym_BSLASHc] = ACTIONS(595),
    [sym_special_escape] = ACTIONS(595),
    [sym_null_character] = ACTIONS(595),
  },
  [125] = {
    [anon_sym_RBRACE] = ACTIONS(583),
    [anon_sym_BSLASH] = ACTIONS(597),
    [anon_sym_RBRACK] = ACTIONS(599),
    [aux_sym_set_atom_token1] = ACTIONS(597),
    [anon_sym_BSLASHb] = ACTIONS(599),
    [aux_sym_character_class_escape_token1] = ACTIONS(599),
    [aux_sym_character_class_escape_token2] = ACTIONS(599),
    [anon_sym_BSLASHu] = ACTIONS(597),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(599),
    [anon_sym_BSLASHx] = ACTIONS(599),
    [anon_sym_BSLASHc] = ACTIONS(599),
    [sym_special_escape] = ACTIONS(599),
    [sym_null_character] = ACTIONS(599),
  },
  [126] = {
    [anon_sym_BSLASH] = ACTIONS(593),
    [anon_sym_RBRACK] = ACTIONS(595),
    [aux_sym_set_atom_token1] = ACTIONS(595),
    [anon_sym_BSLASHb] = ACTIONS(595),
    [aux_sym_character_class_escape_token1] = ACTIONS(595),
    [aux_sym_character_class_escape_token2] = ACTIONS(595),
    [anon_sym_BSLASHu] = ACTIONS(593),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(595),
    [anon_sym_BSLASHx] = ACTIONS(595),
    [anon_sym_BSLASHc] = ACTIONS(595),
    [sym_special_escape] = ACTIONS(595),
    [sym_null_character] = ACTIONS(595),
  },
  [127] = {
    [anon_sym_BSLASH] = ACTIONS(601),
    [anon_sym_RBRACK] = ACTIONS(463),
    [aux_sym_set_atom_token1] = ACTIONS(463),
    [anon_sym_BSLASHb] = ACTIONS(463),
    [aux_sym_character_class_escape_token1] = ACTIONS(463),
    [aux_sym_character_class_escape_token2] = ACTIONS(463),
    [anon_sym_BSLASHu] = ACTIONS(601),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(463),
    [anon_sym_BSLASHx] = ACTIONS(463),
    [anon_sym_BSLASHc] = ACTIONS(463),
    [sym_special_escape] = ACTIONS(463),
    [sym_null_character] = ACTIONS(463),
  },
  [128] = {
    [anon_sym_BSLASH] = ACTIONS(547),
    [anon_sym_RBRACK] = ACTIONS(549),
    [aux_sym_set_atom_token1] = ACTIONS(549),
    [anon_sym_BSLASHb] = ACTIONS(549),
    [aux_sym_character_class_escape_token1] = ACTIONS(549),
    [aux_sym_character_class_escape_token2] = ACTIONS(549),
    [anon_sym_BSLASHu] = ACTIONS(547),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(549),
    [anon_sym_BSLASHx] = ACTIONS(549),
    [anon_sym_BSLASHc] = ACTIONS(549),
    [sym_special_escape] = ACTIONS(549),
    [sym_null_character] = ACTIONS(549),
  },
  [129] = {
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACK] = ACTIONS(605),
    [aux_sym_set_atom_token1] = ACTIONS(605),
    [anon_sym_BSLASHb] = ACTIONS(605),
    [aux_sym_character_class_escape_token1] = ACTIONS(605),
    [aux_sym_character_class_escape_token2] = ACTIONS(605),
    [anon_sym_BSLASHu] = ACTIONS(603),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(605),
    [anon_sym_BSLASHx] = ACTIONS(605),
    [anon_sym_BSLASHc] = ACTIONS(605),
    [sym_special_escape] = ACTIONS(605),
    [sym_null_character] = ACTIONS(605),
  },
  [130] = {
    [anon_sym_BSLASH] = ACTIONS(267),
    [anon_sym_RBRACK] = ACTIONS(265),
    [aux_sym_set_atom_token1] = ACTIONS(265),
    [anon_sym_BSLASHb] = ACTIONS(265),
    [aux_sym_character_class_escape_token1] = ACTIONS(265),
    [aux_sym_character_class_escape_token2] = ACTIONS(265),
    [anon_sym_BSLASHu] = ACTIONS(267),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(265),
    [anon_sym_BSLASHx] = ACTIONS(265),
    [anon_sym_BSLASHc] = ACTIONS(265),
    [sym_special_escape] = ACTIONS(265),
    [sym_null_character] = ACTIONS(265),
  },
  [131] = {
    [anon_sym_BSLASH] = ACTIONS(585),
    [anon_sym_RBRACK] = ACTIONS(587),
    [aux_sym_set_atom_token1] = ACTIONS(587),
    [anon_sym_BSLASHb] = ACTIONS(587),
    [aux_sym_character_class_escape_token1] = ACTIONS(587),
    [aux_sym_character_class_escape_token2] = ACTIONS(587),
    [anon_sym_BSLASHu] = ACTIONS(585),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(587),
    [anon_sym_BSLASHx] = ACTIONS(587),
    [anon_sym_BSLASHc] = ACTIONS(587),
    [sym_special_escape] = ACTIONS(587),
    [sym_null_character] = ACTIONS(587),
  },
  [132] = {
    [anon_sym_BSLASH] = ACTIONS(589),
    [anon_sym_RBRACK] = ACTIONS(591),
    [aux_sym_set_atom_token1] = ACTIONS(591),
    [anon_sym_BSLASHb] = ACTIONS(591),
    [aux_sym_character_class_escape_token1] = ACTIONS(591),
    [aux_sym_character_class_escape_token2] = ACTIONS(591),
    [anon_sym_BSLASHu] = ACTIONS(589),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(591),
    [anon_sym_BSLASHx] = ACTIONS(591),
    [anon_sym_BSLASHc] = ACTIONS(591),
    [sym_special_escape] = ACTIONS(591),
    [sym_null_character] = ACTIONS(591),
  },
  [133] = {
    [anon_sym_BSLASH] = ACTIONS(607),
    [anon_sym_RBRACK] = ACTIONS(609),
    [aux_sym_set_atom_token1] = ACTIONS(609),
    [anon_sym_BSLASHb] = ACTIONS(609),
    [aux_sym_character_class_escape_token1] = ACTIONS(609),
    [aux_sym_character_class_escape_token2] = ACTIONS(609),
    [anon_sym_BSLASHu] = ACTIONS(607),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(609),
    [anon_sym_BSLASHx] = ACTIONS(609),
    [anon_sym_BSLASHc] = ACTIONS(609),
    [sym_special_escape] = ACTIONS(609),
    [sym_null_character] = ACTIONS(609),
  },
  [134] = {
    [anon_sym_BSLASH] = ACTIONS(563),
    [anon_sym_RBRACK] = ACTIONS(565),
    [aux_sym_set_atom_token1] = ACTIONS(565),
    [anon_sym_BSLASHb] = ACTIONS(565),
    [aux_sym_character_class_escape_token1] = ACTIONS(565),
    [aux_sym_character_class_escape_token2] = ACTIONS(565),
    [anon_sym_BSLASHu] = ACTIONS(563),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(565),
    [anon_sym_BSLASHx] = ACTIONS(565),
    [anon_sym_BSLASHc] = ACTIONS(565),
    [sym_special_escape] = ACTIONS(565),
    [sym_null_character] = ACTIONS(565),
  },
  [135] = {
    [anon_sym_BSLASH] = ACTIONS(563),
    [anon_sym_RBRACK] = ACTIONS(565),
    [aux_sym_set_atom_token1] = ACTIONS(565),
    [anon_sym_BSLASHb] = ACTIONS(565),
    [aux_sym_character_class_escape_token1] = ACTIONS(565),
    [aux_sym_character_class_escape_token2] = ACTIONS(565),
    [anon_sym_BSLASHu] = ACTIONS(563),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(565),
    [anon_sym_BSLASHx] = ACTIONS(565),
    [anon_sym_BSLASHc] = ACTIONS(565),
    [sym_special_escape] = ACTIONS(565),
    [sym_null_character] = ACTIONS(565),
  },
  [136] = {
    [anon_sym_BSLASH] = ACTIONS(611),
    [anon_sym_RBRACK] = ACTIONS(613),
    [aux_sym_set_atom_token1] = ACTIONS(613),
    [anon_sym_BSLASHb] = ACTIONS(613),
    [aux_sym_character_class_escape_token1] = ACTIONS(613),
    [aux_sym_character_class_escape_token2] = ACTIONS(613),
    [anon_sym_BSLASHu] = ACTIONS(611),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(613),
    [anon_sym_BSLASHx] = ACTIONS(613),
    [anon_sym_BSLASHc] = ACTIONS(613),
    [sym_special_escape] = ACTIONS(613),
    [sym_null_character] = ACTIONS(613),
  },
  [137] = {
    [anon_sym_BSLASH] = ACTIONS(615),
    [anon_sym_RBRACK] = ACTIONS(617),
    [aux_sym_set_atom_token1] = ACTIONS(617),
    [anon_sym_BSLASHb] = ACTIONS(617),
    [aux_sym_character_class_escape_token1] = ACTIONS(617),
    [aux_sym_character_class_escape_token2] = ACTIONS(617),
    [anon_sym_BSLASHu] = ACTIONS(615),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(617),
    [anon_sym_BSLASHx] = ACTIONS(617),
    [anon_sym_BSLASHc] = ACTIONS(617),
    [sym_special_escape] = ACTIONS(617),
    [sym_null_character] = ACTIONS(617),
  },
  [138] = {
    [anon_sym_BSLASH] = ACTIONS(619),
    [anon_sym_RBRACK] = ACTIONS(479),
    [aux_sym_set_atom_token1] = ACTIONS(479),
    [anon_sym_BSLASHb] = ACTIONS(479),
    [aux_sym_character_class_escape_token1] = ACTIONS(479),
    [aux_sym_character_class_escape_token2] = ACTIONS(479),
    [anon_sym_BSLASHu] = ACTIONS(619),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(479),
    [anon_sym_BSLASHx] = ACTIONS(479),
    [anon_sym_BSLASHc] = ACTIONS(479),
    [sym_special_escape] = ACTIONS(479),
    [sym_null_character] = ACTIONS(479),
  },
  [139] = {
    [anon_sym_BSLASH] = ACTIONS(597),
    [anon_sym_RBRACK] = ACTIONS(599),
    [aux_sym_set_atom_token1] = ACTIONS(599),
    [anon_sym_BSLASHb] = ACTIONS(599),
    [aux_sym_character_class_escape_token1] = ACTIONS(599),
    [aux_sym_character_class_escape_token2] = ACTIONS(599),
    [anon_sym_BSLASHu] = ACTIONS(597),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(599),
    [anon_sym_BSLASHx] = ACTIONS(599),
    [anon_sym_BSLASHc] = ACTIONS(599),
    [sym_special_escape] = ACTIONS(599),
    [sym_null_character] = ACTIONS(599),
  },
  [140] = {
    [anon_sym_BSLASH] = ACTIONS(275),
    [anon_sym_RBRACK] = ACTIONS(273),
    [aux_sym_set_atom_token1] = ACTIONS(273),
    [anon_sym_BSLASHb] = ACTIONS(273),
    [aux_sym_character_class_escape_token1] = ACTIONS(273),
    [aux_sym_character_class_escape_token2] = ACTIONS(273),
    [anon_sym_BSLASHu] = ACTIONS(275),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(273),
    [anon_sym_BSLASHx] = ACTIONS(273),
    [anon_sym_BSLASHc] = ACTIONS(273),
    [sym_special_escape] = ACTIONS(273),
    [sym_null_character] = ACTIONS(273),
  },
  [141] = {
    [anon_sym_BSLASH] = ACTIONS(547),
    [anon_sym_RBRACK] = ACTIONS(549),
    [aux_sym_set_atom_token1] = ACTIONS(549),
    [anon_sym_BSLASHb] = ACTIONS(549),
    [aux_sym_character_class_escape_token1] = ACTIONS(549),
    [aux_sym_character_class_escape_token2] = ACTIONS(549),
    [anon_sym_BSLASHu] = ACTIONS(547),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(549),
    [anon_sym_BSLASHx] = ACTIONS(549),
    [anon_sym_BSLASHc] = ACTIONS(549),
    [sym_special_escape] = ACTIONS(549),
    [sym_null_character] = ACTIONS(549),
  },
  [142] = {
    [anon_sym_BSLASH] = ACTIONS(295),
    [anon_sym_RBRACK] = ACTIONS(293),
    [aux_sym_set_atom_token1] = ACTIONS(293),
    [anon_sym_BSLASHb] = ACTIONS(293),
    [aux_sym_character_class_escape_token1] = ACTIONS(293),
    [aux_sym_character_class_escape_token2] = ACTIONS(293),
    [anon_sym_BSLASHu] = ACTIONS(295),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(293),
    [anon_sym_BSLASHx] = ACTIONS(293),
    [anon_sym_BSLASHc] = ACTIONS(293),
    [sym_special_escape] = ACTIONS(293),
    [sym_null_character] = ACTIONS(293),
  },
  [143] = {
    [anon_sym_BSLASH] = ACTIONS(621),
    [anon_sym_RBRACK] = ACTIONS(623),
    [aux_sym_set_atom_token1] = ACTIONS(623),
    [anon_sym_BSLASHb] = ACTIONS(623),
    [aux_sym_character_class_escape_token1] = ACTIONS(623),
    [aux_sym_character_class_escape_token2] = ACTIONS(623),
    [anon_sym_BSLASHu] = ACTIONS(621),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(623),
    [anon_sym_BSLASHx] = ACTIONS(623),
    [anon_sym_BSLASHc] = ACTIONS(623),
    [sym_special_escape] = ACTIONS(623),
    [sym_null_character] = ACTIONS(623),
  },
  [144] = {
    [anon_sym_BSLASH] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(627),
    [aux_sym_set_atom_token1] = ACTIONS(627),
    [anon_sym_BSLASHb] = ACTIONS(627),
    [aux_sym_character_class_escape_token1] = ACTIONS(627),
    [aux_sym_character_class_escape_token2] = ACTIONS(627),
    [anon_sym_BSLASHu] = ACTIONS(625),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(627),
    [anon_sym_BSLASHx] = ACTIONS(627),
    [anon_sym_BSLASHc] = ACTIONS(627),
    [sym_special_escape] = ACTIONS(627),
    [sym_null_character] = ACTIONS(627),
  },
  [145] = {
    [anon_sym_BSLASH] = ACTIONS(569),
    [anon_sym_RBRACK] = ACTIONS(571),
    [aux_sym_set_atom_token1] = ACTIONS(571),
    [anon_sym_BSLASHb] = ACTIONS(571),
    [aux_sym_character_class_escape_token1] = ACTIONS(571),
    [aux_sym_character_class_escape_token2] = ACTIONS(571),
    [anon_sym_BSLASHu] = ACTIONS(569),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(571),
    [anon_sym_BSLASHx] = ACTIONS(571),
    [anon_sym_BSLASHc] = ACTIONS(571),
    [sym_special_escape] = ACTIONS(571),
    [sym_null_character] = ACTIONS(571),
  },
  [146] = {
    [anon_sym_BSLASH] = ACTIONS(569),
    [anon_sym_RBRACK] = ACTIONS(571),
    [aux_sym_set_atom_token1] = ACTIONS(571),
    [anon_sym_BSLASHb] = ACTIONS(571),
    [aux_sym_character_class_escape_token1] = ACTIONS(571),
    [aux_sym_character_class_escape_token2] = ACTIONS(571),
    [anon_sym_BSLASHu] = ACTIONS(569),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(571),
    [anon_sym_BSLASHx] = ACTIONS(571),
    [anon_sym_BSLASHc] = ACTIONS(571),
    [sym_special_escape] = ACTIONS(571),
    [sym_null_character] = ACTIONS(571),
  },
  [147] = {
    [anon_sym_BSLASH] = ACTIONS(291),
    [anon_sym_RBRACK] = ACTIONS(289),
    [aux_sym_set_atom_token1] = ACTIONS(289),
    [anon_sym_BSLASHb] = ACTIONS(289),
    [aux_sym_character_class_escape_token1] = ACTIONS(289),
    [aux_sym_character_class_escape_token2] = ACTIONS(289),
    [anon_sym_BSLASHu] = ACTIONS(291),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(289),
    [anon_sym_BSLASHx] = ACTIONS(289),
    [anon_sym_BSLASHc] = ACTIONS(289),
    [sym_special_escape] = ACTIONS(289),
    [sym_null_character] = ACTIONS(289),
  },
  [148] = {
    [anon_sym_BSLASH] = ACTIONS(287),
    [anon_sym_RBRACK] = ACTIONS(285),
    [aux_sym_set_atom_token1] = ACTIONS(285),
    [anon_sym_BSLASHb] = ACTIONS(285),
    [aux_sym_character_class_escape_token1] = ACTIONS(285),
    [aux_sym_character_class_escape_token2] = ACTIONS(285),
    [anon_sym_BSLASHu] = ACTIONS(287),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(285),
    [anon_sym_BSLASHx] = ACTIONS(285),
    [anon_sym_BSLASHc] = ACTIONS(285),
    [sym_special_escape] = ACTIONS(285),
    [sym_null_character] = ACTIONS(285),
  },
  [149] = {
    [sym_unicode_escape] = STATE(149),
    [aux_sym_group_name_repeat1] = STATE(149),
    [anon_sym_GT] = ACTIONS(629),
    [aux_sym_group_name_token1] = ACTIONS(631),
    [anon_sym_BSLASHu] = ACTIONS(634),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(637),
  },
  [150] = {
    [sym_unicode_escape] = STATE(149),
    [aux_sym_group_name_repeat1] = STATE(149),
    [anon_sym_GT] = ACTIONS(640),
    [aux_sym_group_name_token1] = ACTIONS(642),
    [anon_sym_BSLASHu] = ACTIONS(644),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(646),
  },
  [151] = {
    [sym_unicode_escape] = STATE(150),
    [aux_sym_group_name_repeat1] = STATE(150),
    [anon_sym_GT] = ACTIONS(648),
    [aux_sym_group_name_token1] = ACTIONS(650),
    [anon_sym_BSLASHu] = ACTIONS(644),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(646),
  },
  [152] = {
    [sym_group_name] = STATE(195),
    [sym_unicode_escape] = STATE(151),
    [aux_sym_group_name_token1] = ACTIONS(652),
    [anon_sym_BSLASHu] = ACTIONS(644),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(646),
  },
  [153] = {
    [sym_group_name] = STATE(198),
    [sym_unicode_escape] = STATE(151),
    [aux_sym_group_name_token1] = ACTIONS(652),
    [anon_sym_BSLASHu] = ACTIONS(644),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(646),
  },
  [154] = {
    [anon_sym_GT] = ACTIONS(265),
    [aux_sym_group_name_token1] = ACTIONS(265),
    [anon_sym_BSLASHu] = ACTIONS(267),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(265),
  },
  [155] = {
    [anon_sym_GT] = ACTIONS(273),
    [aux_sym_group_name_token1] = ACTIONS(273),
    [anon_sym_BSLASHu] = ACTIONS(275),
    [anon_sym_BSLASHu_LBRACE] = ACTIONS(273),
  },
  [156] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [ts_builtin_sym_end] = ACTIONS(107),
    [sym_disjunction_delimiter] = ACTIONS(654),
    [sym_group_end] = ACTIONS(107),
  },
  [157] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(115),
  },
  [158] = {
    [anon_sym_RBRACE] = ACTIONS(657),
    [aux_sym_unicode_escape_token2] = ACTIONS(659),
    [aux_sym__invalid__unicode_escape_token2] = ACTIONS(139),
  },
  [159] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(113),
  },
  [160] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(111),
  },
  [161] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(661),
  },
  [162] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(105),
  },
  [163] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(663),
  },
  [164] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(101),
  },
  [165] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(665),
  },
  [166] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(51),
  },
  [167] = {
    [anon_sym_RBRACE] = ACTIONS(667),
    [aux_sym_unicode_escape_token2] = ACTIONS(669),
    [aux_sym__invalid__unicode_escape_token2] = ACTIONS(573),
  },
  [168] = {
    [anon_sym_RBRACE] = ACTIONS(671),
    [aux_sym_unicode_escape_token2] = ACTIONS(673),
    [aux_sym__invalid__unicode_escape_token2] = ACTIONS(515),
  },
  [169] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(675),
  },
  [170] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(121),
  },
  [171] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [ts_builtin_sym_end] = ACTIONS(49),
    [sym_disjunction_delimiter] = ACTIONS(3),
  },
  [172] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(677),
  },
  [173] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(679),
  },
  [174] = {
    [anon_sym_RBRACE] = ACTIONS(681),
    [aux_sym_unicode_escape_token2] = ACTIONS(683),
    [aux_sym__invalid__unicode_escape_token2] = ACTIONS(567),
  },
  [175] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [sym_disjunction_delimiter] = ACTIONS(3),
    [sym_group_end] = ACTIONS(685),
  },
  [176] = {
    [aux_sym_disjunction_repeat1] = STATE(156),
    [ts_builtin_sym_end] = ACTIONS(687),
    [sym_disjunction_delimiter] = ACTIONS(3),
  },
  [177] = {
    [anon_sym_RBRACE] = ACTIONS(689),
    [aux_sym_unicode_escape_token2] = ACTIONS(691),
    [aux_sym__invalid__unicode_escape_token2] = ACTIONS(553),
  },
  [178] = {
    [anon_sym_DASH] = ACTIONS(693),
    [aux_sym_identity_escape_token1] = ACTIONS(695),
  },
  [179] = {
    [aux_sym_unicode_escape_token1] = ACTIONS(697),
    [aux_sym__invalid__unicode_escape_token1] = ACTIONS(573),
  },
  [180] = {
    [aux_sym_unicode_escape_token1] = ACTIONS(699),
    [aux_sym__invalid__unicode_escape_token1] = ACTIONS(139),
  },
  [181] = {
    [anon_sym_DASH] = ACTIONS(701),
    [aux_sym_identity_escape_token1] = ACTIONS(703),
  },
  [182] = {
    [aux_sym_unicode_escape_token1] = ACTIONS(697),
    [aux_sym__invalid__unicode_escape_token1] = ACTIONS(553),
  },
  [183] = {
    [aux_sym_backreference_token1] = ACTIONS(705),
    [aux_sym_identity_escape_token1] = ACTIONS(707),
  },
  [184] = {
    [anon_sym_COMMA] = ACTIONS(709),
    [anon_sym_RBRACE] = ACTIONS(711),
  },
  [185] = {
    [aux_sym_unicode_escape_token1] = ACTIONS(697),
    [aux_sym__invalid__unicode_escape_token1] = ACTIONS(567),
  },
  [186] = {
    [anon_sym_DASH] = ACTIONS(707),
    [aux_sym_identity_escape_token1] = ACTIONS(707),
  },
  [187] = {
    [aux_sym_count_quantifier_token1] = ACTIONS(713),
    [anon_sym_RBRACE] = ACTIONS(715),
  },
  [188] = {
    [aux_sym_unicode_escape_token1] = ACTIONS(717),
    [aux_sym__invalid__unicode_escape_token1] = ACTIONS(515),
  },
  [189] = {
    [aux_sym_count_quantifier_token1] = ACTIONS(719),
  },
  [190] = {
    [aux_sym_unicode_escape_token2] = ACTIONS(721),
  },
  [191] = {
    [aux_sym_unicode_escape_token1] = ACTIONS(723),
  },
  [192] = {
    [aux_sym_identity_escape_token1] = ACTIONS(725),
  },
  [193] = {
    [anon_sym_LBRACE] = ACTIONS(727),
  },
  [194] = {
    [anon_sym_RBRACE] = ACTIONS(729),
  },
  [195] = {
    [anon_sym_GT] = ACTIONS(731),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(733),
  },
  [197] = {
    [anon_sym_RBRACE] = ACTIONS(735),
  },
  [198] = {
    [anon_sym_GT] = ACTIONS(737),
  },
  [199] = {
    [aux_sym_control_letter_escape_token1] = ACTIONS(739),
  },
  [200] = {
    [aux_sym_control_letter_escape_token1] = ACTIONS(741),
  },
  [201] = {
    [anon_sym_LBRACE] = ACTIONS(743),
  },
  [202] = {
    [aux_sym_control_letter_escape_token1] = ACTIONS(745),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT(6),
  [5] = {.count = 1, .reusable = false}, SHIFT(183),
  [7] = {.count = 1, .reusable = true}, SHIFT(153),
  [9] = {.count = 1, .reusable = true}, SHIFT(2),
  [11] = {.count = 1, .reusable = true}, SHIFT(84),
  [13] = {.count = 1, .reusable = true}, SHIFT(30),
  [15] = {.count = 1, .reusable = true}, SHIFT(56),
  [17] = {.count = 1, .reusable = true}, SHIFT(55),
  [19] = {.count = 1, .reusable = true}, SHIFT(201),
  [21] = {.count = 1, .reusable = false}, SHIFT(180),
  [23] = {.count = 1, .reusable = true}, SHIFT(158),
  [25] = {.count = 1, .reusable = true}, SHIFT(20),
  [27] = {.count = 1, .reusable = true}, SHIFT(199),
  [29] = {.count = 1, .reusable = true}, SHIFT(29),
  [31] = {.count = 1, .reusable = true}, SHIFT(28),
  [33] = {.count = 1, .reusable = true}, SHIFT(18),
  [35] = {.count = 1, .reusable = true}, SHIFT(10),
  [37] = {.count = 1, .reusable = true}, SHIFT(8),
  [39] = {.count = 1, .reusable = true}, SHIFT(13),
  [41] = {.count = 1, .reusable = false}, SHIFT(152),
  [43] = {.count = 1, .reusable = true}, SHIFT(3),
  [45] = {.count = 1, .reusable = true}, SHIFT(39),
  [47] = {.count = 1, .reusable = true}, SHIFT(51),
  [49] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 1),
  [51] = {.count = 1, .reusable = true}, SHIFT(41),
  [53] = {.count = 1, .reusable = true}, REDUCE(aux_sym_disjunction_repeat1, 1),
  [55] = {.count = 1, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2),
  [57] = {.count = 2, .reusable = false}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(183),
  [60] = {.count = 2, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(153),
  [63] = {.count = 2, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(2),
  [66] = {.count = 2, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(84),
  [69] = {.count = 2, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(30),
  [72] = {.count = 2, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(56),
  [75] = {.count = 2, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(55),
  [78] = {.count = 2, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(201),
  [81] = {.count = 2, .reusable = false}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(180),
  [84] = {.count = 2, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(158),
  [87] = {.count = 2, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(20),
  [90] = {.count = 2, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(199),
  [93] = {.count = 2, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(29),
  [96] = {.count = 2, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 2), SHIFT_REPEAT(28),
  [99] = {.count = 1, .reusable = true}, SHIFT(38),
  [101] = {.count = 1, .reusable = true}, SHIFT(47),
  [103] = {.count = 1, .reusable = true}, SHIFT(45),
  [105] = {.count = 1, .reusable = true}, SHIFT(64),
  [107] = {.count = 1, .reusable = true}, REDUCE(aux_sym_disjunction_repeat1, 2),
  [109] = {.count = 1, .reusable = true}, SHIFT(33),
  [111] = {.count = 1, .reusable = true}, SHIFT(63),
  [113] = {.count = 1, .reusable = true}, SHIFT(62),
  [115] = {.count = 1, .reusable = true}, SHIFT(53),
  [117] = {.count = 1, .reusable = true}, SHIFT(40),
  [119] = {.count = 1, .reusable = true}, SHIFT(66),
  [121] = {.count = 1, .reusable = true}, SHIFT(61),
  [123] = {.count = 1, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 1),
  [125] = {.count = 1, .reusable = true}, SHIFT(88),
  [127] = {.count = 1, .reusable = true}, SHIFT(72),
  [129] = {.count = 1, .reusable = true}, SHIFT(67),
  [131] = {.count = 1, .reusable = true}, SHIFT(68),
  [133] = {.count = 1, .reusable = false}, SHIFT(189),
  [135] = {.count = 1, .reusable = false}, REDUCE(aux_sym_pattern_repeat1, 1),
  [137] = {.count = 1, .reusable = true}, SHIFT(57),
  [139] = {.count = 1, .reusable = false}, SHIFT(26),
  [141] = {.count = 1, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 3),
  [143] = {.count = 1, .reusable = true}, SHIFT(86),
  [145] = {.count = 1, .reusable = true}, SHIFT(48),
  [147] = {.count = 1, .reusable = false}, REDUCE(aux_sym_pattern_repeat1, 3),
  [149] = {.count = 1, .reusable = true}, SHIFT(24),
  [151] = {.count = 1, .reusable = true}, SHIFT(93),
  [153] = {.count = 1, .reusable = true}, SHIFT(27),
  [155] = {.count = 1, .reusable = false}, REDUCE(aux_sym_pattern_repeat1, 2),
  [157] = {.count = 1, .reusable = true}, SHIFT(21),
  [159] = {.count = 1, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 5),
  [161] = {.count = 1, .reusable = true}, SHIFT(90),
  [163] = {.count = 1, .reusable = true}, SHIFT(49),
  [165] = {.count = 1, .reusable = false}, REDUCE(aux_sym_pattern_repeat1, 5),
  [167] = {.count = 1, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 4),
  [169] = {.count = 1, .reusable = true}, SHIFT(85),
  [171] = {.count = 1, .reusable = false}, REDUCE(aux_sym_pattern_repeat1, 4),
  [173] = {.count = 1, .reusable = true}, SHIFT(23),
  [175] = {.count = 1, .reusable = true}, SHIFT(52),
  [177] = {.count = 1, .reusable = true}, REDUCE(sym_start_assertion, 1),
  [179] = {.count = 1, .reusable = false}, REDUCE(sym_start_assertion, 1),
  [181] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_capturing_group, 4),
  [183] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_capturing_group, 4),
  [185] = {.count = 1, .reusable = true}, REDUCE(sym_backreference, 2),
  [187] = {.count = 1, .reusable = false}, REDUCE(sym_backreference, 2),
  [189] = {.count = 1, .reusable = true}, REDUCE(sym_negative_lookbehind_assertion, 3),
  [191] = {.count = 1, .reusable = false}, REDUCE(sym_negative_lookbehind_assertion, 3),
  [193] = {.count = 1, .reusable = true}, REDUCE(sym_non_capturing_group, 5),
  [195] = {.count = 1, .reusable = false}, REDUCE(sym_non_capturing_group, 5),
  [197] = {.count = 1, .reusable = true}, REDUCE(sym_negative_lookbehind_assertion, 5),
  [199] = {.count = 1, .reusable = false}, REDUCE(sym_negative_lookbehind_assertion, 5),
  [201] = {.count = 1, .reusable = true}, REDUCE(sym_lookbehind_assertion, 5),
  [203] = {.count = 1, .reusable = false}, REDUCE(sym_lookbehind_assertion, 5),
  [205] = {.count = 1, .reusable = true}, REDUCE(sym_negative_lookahead_assertion, 5),
  [207] = {.count = 1, .reusable = false}, REDUCE(sym_negative_lookahead_assertion, 5),
  [209] = {.count = 1, .reusable = true}, REDUCE(sym_lookbehind_assertion, 3),
  [211] = {.count = 1, .reusable = false}, REDUCE(sym_lookbehind_assertion, 3),
  [213] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_capturing_group, 2),
  [215] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_capturing_group, 2),
  [217] = {.count = 1, .reusable = true}, REDUCE(sym_named_capturing_group, 3),
  [219] = {.count = 1, .reusable = false}, REDUCE(sym_named_capturing_group, 3),
  [221] = {.count = 1, .reusable = true}, REDUCE(sym_negative_lookahead_assertion, 4),
  [223] = {.count = 1, .reusable = false}, REDUCE(sym_negative_lookahead_assertion, 4),
  [225] = {.count = 1, .reusable = true}, REDUCE(sym_lookahead_assertion, 5),
  [227] = {.count = 1, .reusable = false}, REDUCE(sym_lookahead_assertion, 5),
  [229] = {.count = 1, .reusable = true}, REDUCE(sym_character_set, 4, .production_id = 4),
  [231] = {.count = 1, .reusable = false}, REDUCE(sym_character_set, 4, .production_id = 4),
  [233] = {.count = 1, .reusable = true}, REDUCE(sym_character_set, 3),
  [235] = {.count = 1, .reusable = false}, REDUCE(sym_character_set, 3),
  [237] = {.count = 1, .reusable = true}, REDUCE(sym_negative_lookahead_assertion, 3),
  [239] = {.count = 1, .reusable = false}, REDUCE(sym_negative_lookahead_assertion, 3),
  [241] = {.count = 1, .reusable = true}, REDUCE(sym_character_set, 2),
  [243] = {.count = 1, .reusable = false}, REDUCE(sym_character_set, 2),
  [245] = {.count = 1, .reusable = true}, REDUCE(sym_lookbehind_assertion, 4),
  [247] = {.count = 1, .reusable = false}, REDUCE(sym_lookbehind_assertion, 4),
  [249] = {.count = 1, .reusable = true}, REDUCE(sym_character_class_escape, 4, .production_id = 12),
  [251] = {.count = 1, .reusable = false}, REDUCE(sym_character_class_escape, 4, .production_id = 12),
  [253] = {.count = 1, .reusable = true}, REDUCE(sym_character_class_escape, 6, .production_id = 19),
  [255] = {.count = 1, .reusable = false}, REDUCE(sym_character_class_escape, 6, .production_id = 19),
  [257] = {.count = 1, .reusable = true}, REDUCE(sym_named_capturing_group, 5),
  [259] = {.count = 1, .reusable = false}, REDUCE(sym_named_capturing_group, 5),
  [261] = {.count = 1, .reusable = true}, REDUCE(sym_non_capturing_group, 3),
  [263] = {.count = 1, .reusable = false}, REDUCE(sym_non_capturing_group, 3),
  [265] = {.count = 1, .reusable = true}, REDUCE(sym_unicode_escape, 3, .production_id = 6),
  [267] = {.count = 1, .reusable = false}, REDUCE(sym_unicode_escape, 3, .production_id = 6),
  [269] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_capturing_group, 3),
  [271] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_capturing_group, 3),
  [273] = {.count = 1, .reusable = true}, REDUCE(sym_unicode_escape, 2),
  [275] = {.count = 1, .reusable = false}, REDUCE(sym_unicode_escape, 2),
  [277] = {.count = 1, .reusable = true}, REDUCE(sym_character_class_escape, 1),
  [279] = {.count = 1, .reusable = false}, REDUCE(sym_character_class_escape, 1),
  [281] = {.count = 1, .reusable = true}, REDUCE(sym_boundary_assertion, 1),
  [283] = {.count = 1, .reusable = false}, REDUCE(sym_boundary_assertion, 1),
  [285] = {.count = 1, .reusable = true}, REDUCE(sym_hexadecimal_escape, 2),
  [287] = {.count = 1, .reusable = false}, REDUCE(sym_hexadecimal_escape, 2),
  [289] = {.count = 1, .reusable = true}, REDUCE(sym_control_letter_escape, 2),
  [291] = {.count = 1, .reusable = false}, REDUCE(sym_control_letter_escape, 2),
  [293] = {.count = 1, .reusable = true}, REDUCE(sym_identity_escape, 2),
  [295] = {.count = 1, .reusable = false}, REDUCE(sym_identity_escape, 2),
  [297] = {.count = 1, .reusable = true}, REDUCE(sym_character_set, 3, .production_id = 4),
  [299] = {.count = 1, .reusable = false}, REDUCE(sym_character_set, 3, .production_id = 4),
  [301] = {.count = 1, .reusable = true}, REDUCE(sym_lookahead_assertion, 4),
  [303] = {.count = 1, .reusable = false}, REDUCE(sym_lookahead_assertion, 4),
  [305] = {.count = 1, .reusable = true}, REDUCE(sym_named_capturing_group, 4),
  [307] = {.count = 1, .reusable = false}, REDUCE(sym_named_capturing_group, 4),
  [309] = {.count = 1, .reusable = true}, REDUCE(sym_non_capturing_group, 4),
  [311] = {.count = 1, .reusable = false}, REDUCE(sym_non_capturing_group, 4),
  [313] = {.count = 1, .reusable = true}, REDUCE(sym_negative_lookbehind_assertion, 4),
  [315] = {.count = 1, .reusable = false}, REDUCE(sym_negative_lookbehind_assertion, 4),
  [317] = {.count = 1, .reusable = true}, REDUCE(sym_backreference, 3),
  [319] = {.count = 1, .reusable = false}, REDUCE(sym_backreference, 3),
  [321] = {.count = 1, .reusable = true}, REDUCE(sym_lookahead_assertion, 3),
  [323] = {.count = 1, .reusable = false}, REDUCE(sym_lookahead_assertion, 3),
  [325] = {.count = 1, .reusable = true}, REDUCE(sym_optional, 1),
  [327] = {.count = 1, .reusable = false}, REDUCE(sym_optional, 1),
  [329] = {.count = 1, .reusable = true}, SHIFT(75),
  [331] = {.count = 1, .reusable = true}, REDUCE(sym_one_or_more, 1),
  [333] = {.count = 1, .reusable = false}, REDUCE(sym_one_or_more, 1),
  [335] = {.count = 1, .reusable = true}, SHIFT(76),
  [337] = {.count = 1, .reusable = true}, REDUCE(sym_count_quantifier, 3),
  [339] = {.count = 1, .reusable = false}, REDUCE(sym_count_quantifier, 3),
  [341] = {.count = 1, .reusable = true}, SHIFT(83),
  [343] = {.count = 1, .reusable = true}, REDUCE(sym_count_quantifier, 4),
  [345] = {.count = 1, .reusable = false}, REDUCE(sym_count_quantifier, 4),
  [347] = {.count = 1, .reusable = true}, SHIFT(79),
  [349] = {.count = 1, .reusable = true}, REDUCE(sym_count_quantifier, 5),
  [351] = {.count = 1, .reusable = false}, REDUCE(sym_count_quantifier, 5),
  [353] = {.count = 1, .reusable = true}, SHIFT(77),
  [355] = {.count = 1, .reusable = true}, REDUCE(sym_zero_or_more, 1),
  [357] = {.count = 1, .reusable = false}, REDUCE(sym_zero_or_more, 1),
  [359] = {.count = 1, .reusable = true}, SHIFT(82),
  [361] = {.count = 1, .reusable = true}, REDUCE(sym_optional, 2, .production_id = 2),
  [363] = {.count = 1, .reusable = false}, REDUCE(sym_optional, 2, .production_id = 2),
  [365] = {.count = 1, .reusable = true}, REDUCE(sym_one_or_more, 2, .production_id = 2),
  [367] = {.count = 1, .reusable = false}, REDUCE(sym_one_or_more, 2, .production_id = 2),
  [369] = {.count = 1, .reusable = true}, REDUCE(sym_count_quantifier, 6, .production_id = 20),
  [371] = {.count = 1, .reusable = false}, REDUCE(sym_count_quantifier, 6, .production_id = 20),
  [373] = {.count = 1, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 6),
  [375] = {.count = 1, .reusable = true}, SHIFT(89),
  [377] = {.count = 1, .reusable = false}, REDUCE(aux_sym_pattern_repeat1, 6),
  [379] = {.count = 1, .reusable = true}, REDUCE(sym_count_quantifier, 5, .production_id = 17),
  [381] = {.count = 1, .reusable = false}, REDUCE(sym_count_quantifier, 5, .production_id = 17),
  [383] = {.count = 1, .reusable = true}, REDUCE(sym_zero_or_more, 2, .production_id = 2),
  [385] = {.count = 1, .reusable = false}, REDUCE(sym_zero_or_more, 2, .production_id = 2),
  [387] = {.count = 1, .reusable = true}, REDUCE(sym_count_quantifier, 4, .production_id = 13),
  [389] = {.count = 1, .reusable = false}, REDUCE(sym_count_quantifier, 4, .production_id = 13),
  [391] = {.count = 1, .reusable = false}, SHIFT(186),
  [393] = {.count = 1, .reusable = true}, SHIFT(87),
  [395] = {.count = 1, .reusable = true}, SHIFT(46),
  [397] = {.count = 1, .reusable = false}, SHIFT(110),
  [399] = {.count = 1, .reusable = true}, SHIFT(111),
  [401] = {.count = 1, .reusable = true}, SHIFT(123),
  [403] = {.count = 1, .reusable = true}, SHIFT(193),
  [405] = {.count = 1, .reusable = false}, SHIFT(188),
  [407] = {.count = 1, .reusable = true}, SHIFT(168),
  [409] = {.count = 1, .reusable = true}, SHIFT(99),
  [411] = {.count = 1, .reusable = true}, SHIFT(200),
  [413] = {.count = 1, .reusable = true}, SHIFT(122),
  [415] = {.count = 1, .reusable = true}, SHIFT(60),
  [417] = {.count = 1, .reusable = true}, SHIFT(110),
  [419] = {.count = 1, .reusable = true}, REDUCE(aux_sym_pattern_repeat1, 7),
  [421] = {.count = 1, .reusable = false}, REDUCE(aux_sym_pattern_repeat1, 7),
  [423] = {.count = 1, .reusable = true}, SHIFT(44),
  [425] = {.count = 1, .reusable = true}, SHIFT(43),
  [427] = {.count = 2, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 2), SHIFT_REPEAT(186),
  [430] = {.count = 1, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 2),
  [432] = {.count = 2, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 2), SHIFT_REPEAT(110),
  [435] = {.count = 2, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 2), SHIFT_REPEAT(111),
  [438] = {.count = 2, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 2), SHIFT_REPEAT(123),
  [441] = {.count = 2, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 2), SHIFT_REPEAT(193),
  [444] = {.count = 2, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 2), SHIFT_REPEAT(188),
  [447] = {.count = 2, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 2), SHIFT_REPEAT(168),
  [450] = {.count = 2, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 2), SHIFT_REPEAT(99),
  [453] = {.count = 2, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 2), SHIFT_REPEAT(200),
  [456] = {.count = 2, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 2), SHIFT_REPEAT(122),
  [459] = {.count = 1, .reusable = true}, REDUCE(sym_named_capturing_group_identifier, 3),
  [461] = {.count = 1, .reusable = false}, REDUCE(sym_named_capturing_group_identifier, 3),
  [463] = {.count = 1, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 3, .production_id = 11),
  [465] = {.count = 1, .reusable = true}, SHIFT(145),
  [467] = {.count = 1, .reusable = true}, SHIFT(144),
  [469] = {.count = 1, .reusable = false}, SHIFT(179),
  [471] = {.count = 1, .reusable = true}, SHIFT(167),
  [473] = {.count = 1, .reusable = true}, SHIFT(107),
  [475] = {.count = 1, .reusable = true}, SHIFT(202),
  [477] = {.count = 1, .reusable = true}, SHIFT(146),
  [479] = {.count = 1, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 2, .production_id = 3),
  [481] = {.count = 1, .reusable = true}, SHIFT(128),
  [483] = {.count = 1, .reusable = true}, SHIFT(129),
  [485] = {.count = 1, .reusable = false}, SHIFT(182),
  [487] = {.count = 1, .reusable = true}, SHIFT(177),
  [489] = {.count = 1, .reusable = true}, SHIFT(104),
  [491] = {.count = 1, .reusable = true}, SHIFT(141),
  [493] = {.count = 1, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 2, .production_id = 5),
  [495] = {.count = 1, .reusable = true}, SHIFT(135),
  [497] = {.count = 1, .reusable = true}, SHIFT(136),
  [499] = {.count = 1, .reusable = false}, SHIFT(185),
  [501] = {.count = 1, .reusable = true}, SHIFT(174),
  [503] = {.count = 1, .reusable = true}, SHIFT(106),
  [505] = {.count = 1, .reusable = true}, SHIFT(134),
  [507] = {.count = 1, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 1),
  [509] = {.count = 1, .reusable = true}, SHIFT(97),
  [511] = {.count = 1, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 1),
  [513] = {.count = 1, .reusable = true}, SHIFT(120),
  [515] = {.count = 1, .reusable = false}, SHIFT(116),
  [517] = {.count = 1, .reusable = true}, SHIFT(115),
  [519] = {.count = 1, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 3),
  [521] = {.count = 1, .reusable = true}, SHIFT(143),
  [523] = {.count = 1, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 3),
  [525] = {.count = 1, .reusable = true}, SHIFT(103),
  [527] = {.count = 1, .reusable = true}, SHIFT(121),
  [529] = {.count = 1, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 2),
  [531] = {.count = 1, .reusable = true}, SHIFT(127),
  [533] = {.count = 1, .reusable = false}, SHIFT(100),
  [535] = {.count = 1, .reusable = true}, SHIFT(109),
  [537] = {.count = 1, .reusable = true}, SHIFT(96),
  [539] = {.count = 1, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 4),
  [541] = {.count = 1, .reusable = true}, SHIFT(137),
  [543] = {.count = 1, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 4),
  [545] = {.count = 1, .reusable = false}, SHIFT(105),
  [547] = {.count = 1, .reusable = false}, REDUCE(sym_set_range, 3, .production_id = 7),
  [549] = {.count = 1, .reusable = true}, REDUCE(sym_set_range, 3, .production_id = 7),
  [551] = {.count = 1, .reusable = true}, SHIFT(148),
  [553] = {.count = 1, .reusable = false}, SHIFT(139),
  [555] = {.count = 1, .reusable = true}, SHIFT(114),
  [557] = {.count = 1, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 5),
  [559] = {.count = 1, .reusable = true}, SHIFT(133),
  [561] = {.count = 1, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 5),
  [563] = {.count = 1, .reusable = false}, REDUCE(sym_set_range, 3, .production_id = 9),
  [565] = {.count = 1, .reusable = true}, REDUCE(sym_set_range, 3, .production_id = 9),
  [567] = {.count = 1, .reusable = false}, SHIFT(132),
  [569] = {.count = 1, .reusable = false}, REDUCE(sym_set_range, 4, .production_id = 15),
  [571] = {.count = 1, .reusable = true}, REDUCE(sym_set_range, 4, .production_id = 15),
  [573] = {.count = 1, .reusable = false}, SHIFT(131),
  [575] = {.count = 1, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 1, .production_id = 1),
  [577] = {.count = 1, .reusable = true}, SHIFT(98),
  [579] = {.count = 1, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 1, .production_id = 1),
  [581] = {.count = 1, .reusable = true}, SHIFT(138),
  [583] = {.count = 1, .reusable = true}, SHIFT(130),
  [585] = {.count = 1, .reusable = false}, REDUCE(sym_set_range, 5, .production_id = 15),
  [587] = {.count = 1, .reusable = true}, REDUCE(sym_set_range, 5, .production_id = 15),
  [589] = {.count = 1, .reusable = false}, REDUCE(sym_set_range, 4, .production_id = 9),
  [591] = {.count = 1, .reusable = true}, REDUCE(sym_set_range, 4, .production_id = 9),
  [593] = {.count = 1, .reusable = false}, REDUCE(sym_set_identity_escape, 2),
  [595] = {.count = 1, .reusable = true}, REDUCE(sym_set_identity_escape, 2),
  [597] = {.count = 1, .reusable = false}, REDUCE(sym_set_range, 4, .production_id = 7),
  [599] = {.count = 1, .reusable = true}, REDUCE(sym_set_range, 4, .production_id = 7),
  [601] = {.count = 1, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 3, .production_id = 11),
  [603] = {.count = 1, .reusable = false}, REDUCE(sym_set_range, 3, .production_id = 8),
  [605] = {.count = 1, .reusable = true}, REDUCE(sym_set_range, 3, .production_id = 8),
  [607] = {.count = 1, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 6, .production_id = 21),
  [609] = {.count = 1, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 6, .production_id = 21),
  [611] = {.count = 1, .reusable = false}, REDUCE(sym_set_range, 3, .production_id = 10),
  [613] = {.count = 1, .reusable = true}, REDUCE(sym_set_range, 3, .production_id = 10),
  [615] = {.count = 1, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 5, .production_id = 18),
  [617] = {.count = 1, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 5, .production_id = 18),
  [619] = {.count = 1, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 2, .production_id = 3),
  [621] = {.count = 1, .reusable = false}, REDUCE(aux_sym_character_set_repeat1, 4, .production_id = 14),
  [623] = {.count = 1, .reusable = true}, REDUCE(aux_sym_character_set_repeat1, 4, .production_id = 14),
  [625] = {.count = 1, .reusable = false}, REDUCE(sym_set_range, 4, .production_id = 16),
  [627] = {.count = 1, .reusable = true}, REDUCE(sym_set_range, 4, .production_id = 16),
  [629] = {.count = 1, .reusable = true}, REDUCE(aux_sym_group_name_repeat1, 2),
  [631] = {.count = 2, .reusable = true}, REDUCE(aux_sym_group_name_repeat1, 2), SHIFT_REPEAT(149),
  [634] = {.count = 2, .reusable = false}, REDUCE(aux_sym_group_name_repeat1, 2), SHIFT_REPEAT(191),
  [637] = {.count = 2, .reusable = true}, REDUCE(aux_sym_group_name_repeat1, 2), SHIFT_REPEAT(190),
  [640] = {.count = 1, .reusable = true}, REDUCE(sym_group_name, 2),
  [642] = {.count = 1, .reusable = true}, SHIFT(149),
  [644] = {.count = 1, .reusable = false}, SHIFT(191),
  [646] = {.count = 1, .reusable = true}, SHIFT(190),
  [648] = {.count = 1, .reusable = true}, REDUCE(sym_group_name, 1),
  [650] = {.count = 1, .reusable = true}, SHIFT(150),
  [652] = {.count = 1, .reusable = true}, SHIFT(151),
  [654] = {.count = 2, .reusable = true}, REDUCE(aux_sym_disjunction_repeat1, 2), SHIFT_REPEAT(6),
  [657] = {.count = 1, .reusable = true}, SHIFT(26),
  [659] = {.count = 1, .reusable = true}, SHIFT(25),
  [661] = {.count = 1, .reusable = true}, SHIFT(31),
  [663] = {.count = 1, .reusable = true}, SHIFT(42),
  [665] = {.count = 1, .reusable = true}, SHIFT(37),
  [667] = {.count = 1, .reusable = true}, SHIFT(131),
  [669] = {.count = 1, .reusable = true}, SHIFT(113),
  [671] = {.count = 1, .reusable = true}, SHIFT(116),
  [673] = {.count = 1, .reusable = true}, SHIFT(102),
  [675] = {.count = 1, .reusable = true}, SHIFT(36),
  [677] = {.count = 1, .reusable = true}, SHIFT(35),
  [679] = {.count = 1, .reusable = true}, SHIFT(34),
  [681] = {.count = 1, .reusable = true}, SHIFT(132),
  [683] = {.count = 1, .reusable = true}, SHIFT(117),
  [685] = {.count = 1, .reusable = true}, SHIFT(50),
  [687] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 2),
  [689] = {.count = 1, .reusable = true}, SHIFT(139),
  [691] = {.count = 1, .reusable = true}, SHIFT(125),
  [693] = {.count = 1, .reusable = true}, SHIFT(124),
  [695] = {.count = 1, .reusable = true}, SHIFT(118),
  [697] = {.count = 1, .reusable = true}, SHIFT(140),
  [699] = {.count = 1, .reusable = true}, SHIFT(54),
  [701] = {.count = 1, .reusable = true}, SHIFT(126),
  [703] = {.count = 1, .reusable = true}, SHIFT(142),
  [705] = {.count = 1, .reusable = true}, SHIFT(32),
  [707] = {.count = 1, .reusable = true}, REDUCE(sym__escape_operator, 1),
  [709] = {.count = 1, .reusable = true}, SHIFT(187),
  [711] = {.count = 1, .reusable = true}, SHIFT(69),
  [713] = {.count = 1, .reusable = true}, SHIFT(194),
  [715] = {.count = 1, .reusable = true}, SHIFT(70),
  [717] = {.count = 1, .reusable = true}, SHIFT(108),
  [719] = {.count = 1, .reusable = true}, SHIFT(184),
  [721] = {.count = 1, .reusable = true}, SHIFT(197),
  [723] = {.count = 1, .reusable = true}, SHIFT(155),
  [725] = {.count = 1, .reusable = true}, SHIFT(59),
  [727] = {.count = 1, .reusable = true}, SHIFT(101),
  [729] = {.count = 1, .reusable = true}, SHIFT(71),
  [731] = {.count = 1, .reusable = true}, SHIFT(95),
  [733] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [735] = {.count = 1, .reusable = true}, SHIFT(154),
  [737] = {.count = 1, .reusable = true}, SHIFT(65),
  [739] = {.count = 1, .reusable = true}, SHIFT(58),
  [741] = {.count = 1, .reusable = true}, SHIFT(119),
  [743] = {.count = 1, .reusable = true}, SHIFT(22),
  [745] = {.count = 1, .reusable = true}, SHIFT(147),
};

void *tree_sitter_regex_external_scanner_create(void);
void tree_sitter_regex_external_scanner_destroy(void *);
bool tree_sitter_regex_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_regex_external_scanner_serialize(void *, char *);
void tree_sitter_regex_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_regex(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_regex_external_scanner_create,
      tree_sitter_regex_external_scanner_destroy,
      tree_sitter_regex_external_scanner_scan,
      tree_sitter_regex_external_scanner_serialize,
      tree_sitter_regex_external_scanner_deserialize,
    },
  };
  return &language;
}
